banshee (2.9.0+really2.6.2-2ubuntu4) utopic; urgency=medium

  * No-change rebuild to lower dependencies on libglib2.0-0

 -- Iain Lane <laney@debian.org>  Tue, 22 Jul 2014 10:00:00 +0100

banshee (2.9.0+really2.6.2-2ubuntu3) utopic; urgency=medium

  * [36835b6] Drop Amazon redirect url patch.
    Ubuntu server no longer exists (LP: #1344763)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Jul 2014 16:51:25 +0800

banshee (2.9.0+really2.6.2-2ubuntu2) trusty; urgency=medium

  * [b5f10d6] Go back to dbus# 1.0 ABI.
    Upstream is really jittery about the stability of newer dbus#, so go back just
    for the LTS.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Mar 2014 18:28:08 +0800

banshee (2.9.0+really2.6.2-2ubuntu1) trusty; urgency=low

  * [4cc1f7c] Merge from Debian Unstable, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [a7156c0] Filter out libgpod-cil-dev versions built against gtk#3
    - [e7c634d] Update dversionmangle for extracting +really version out

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 02 Mar 2014 18:34:46 +0800

banshee (2.6.2-2) unstable; urgency=low

  * [9d70c78] Patch to fix Banshee's second instance crashing out.
    This fixes the ArgumentException that occurs when dbus-sharp tries to synthesize
    a proxy class out of the IPlayerEngine interface. (Closes: #731978)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 02 Mar 2014 15:52:42 +0800

banshee (2.9.0+really2.6.2-0ubuntu1) trusty; urgency=low

  * [fa3da3c] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [a7156c0] Filter out libgpod-cil-dev versions built against gtk#3
    - [e7c634d] Update dversionmangle for extracting +really version out

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Feb 2014 05:13:31 +0800

banshee (2.6.2-1) unstable; urgency=low

  * [223994c] New bugfix release:
    - bgo#724678: Mtp: tracks in nested folders were not being shown
    - bgo#724656: Dap: fix several issues with the Disconnect operation (context
      menu)
    - bgo#724645: Dap: avoid NullReferenceException at shutdown if Mtp device
      was mounted
    - bgo#627391: [gapless] fix smooth transition for Repeat-Single mode
    - bgo#671221: fix Repeat-All mode if there are less than 3 tracks and
      Shuffle is ON
    - bgo#724515: fix Repeat-OFF mode when Shuffle is ON
    - bgo#723889: Notifications: avoid warning printed in the log
    - bgo#723040: DapService: avoid freezing Banshee when unmapping device
    - bgo#679938: [gapless] Repeat always on
    - bgo#674293: [gapless] Banshee ignores "stop when finished"
    - bgo#621222: [gapless] Playcount shouldn't be incremented as soon as song
      plays
    - bgo#722947: prevent a crash when dealing with Nexus4
    - bgo#722731: avoid highlighting wrong track after invalid track was played
    - bgo#722219: avoid crash when disconnecting Nexus4
    - bgo#722209: avoid crash when connecting Nexus4
    - bgo#721203: CD audio source doesn't show up when inserting it
    - bgo#709376: avoid warnings when shutting down
    - ArtworkManager: prevent wrong retreival of empty artwork from cache
    - bgo#686908: doesn't remember volume setting in Linux (LP: #1071277)
    - bgo#700753: crash if 1st transcoding job yields error
    - bgo#687495: hang when dealing with Windows Phone (LP: #1205214)
    - bgo#699735: hang when mounting a LVM volume
    - bgo#698347: configure fails with --disable-gnome (Mac)
  * [fde3242] Refresh patches
  * [5208241] Drop Revert-ArtworkManager-Cache-null-artwork-for-fast-lo.patch.
    No longer appears to be needed, and doesn't apply properly anyway.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Feb 2014 01:39:16 +0800

banshee (2.9.0+really2.6.1-0ubuntu1) trusty; urgency=low

  * [fbf05ca] Imported Upstream version 2.9.0+really2.6.1:
    Downgrade to 2.6.1 -- 2.9.x is unstable and 3.0 won't arrive in time for
    release
  * [22de440] Revert packaging to 2.6.1-2ubuntu1
  * [7357b73] Merge changes from 2.6.1-5
  * [a7156c0] Filter out libgpod-cil-dev versions built against gtk#3
  * [e7c634d] Update dversionmangle for extracting +really version out

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 09 Feb 2014 23:06:03 +0800

banshee (2.9.0-2ubuntu1) trusty; urgency=low

  * [e46e107] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Dec 2013 04:11:14 +0800

banshee (2.9.0-2) experimental; urgency=low

  * [75630d7] Fix up .pc files to use dbus#2

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Dec 2013 19:35:11 +0800

banshee (2.9.0-1ubuntu1) trusty; urgency=low

  * [67f86b7] Set debian-branch to trusty
  * [46d8724] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 26 Nov 2013 22:36:50 +0800

banshee (2.9.0-1) experimental; urgency=low

  * [7021981] Tweak gbp.conf for experimental branch
  * [c758d0f] Imported Upstream version 2.9.0:
    + Bugs fixed:
      - MTP-related hang on startup (LP: #1205214)
      - Hang after mounting LVM volume (LP: #1176515)
      - Search bar doesn't remember its size (LP: #803928)
      - Doesn't remember volume setting (LP: #1071277)
  * [13ddbbf] Update build-deps
  * [a0383e0] Force banshee to use system notify-sharp
  * [b862e78] Drop Revert-ArtworkManager-....patch
  * [4b4c119] Refresh patches
  * [ef5012d] Build-dep on notify# 3.0
  * [1fd9980] Patch buildsys to use notify-sharp-3.0
  * [9200c4c] Bump libgpod-cil-dev dependency
  * [6eb6b2f] Use libdbus2.0-cil*
  * [9aef253] Patch to use dbus# 2.0 API
  * [e667e09] Disable meego interface.
    Doesn't compile, and nobody seems to use it.
  * [c61042d] Cherry-pick upstream patch to fix use of deprecated macros
  * [5f5d89b] Temporarily disable webkit features.
    Banshee.WebBrowser needs to be ported fully to webkitgtk-3.0
  * [851af83] Bump Breaks version on banshee-extensions-common
  * [cd2fd9f] Patch to fix DateTime ambiguity

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 07 Dec 2013 12:55:19 +0800

banshee (2.6.2-2) unstable; urgency=low

  * [9d70c78] Patch to fix Banshee's second instance crashing out.
    This fixes the ArgumentException that occurs when dbus-sharp tries to synthesize
    a proxy class out of the IPlayerEngine interface. (Closes: #731978)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 02 Mar 2014 15:52:42 +0800

banshee (2.6.2-1) unstable; urgency=low

  * [223994c] New bugfix release:
    - bgo#724678: Mtp: tracks in nested folders were not being shown
    - bgo#724656: Dap: fix several issues with the Disconnect operation (context
      menu)
    - bgo#724645: Dap: avoid NullReferenceException at shutdown if Mtp device
      was mounted
    - bgo#627391: [gapless] fix smooth transition for Repeat-Single mode
    - bgo#671221: fix Repeat-All mode if there are less than 3 tracks and
      Shuffle is ON
    - bgo#724515: fix Repeat-OFF mode when Shuffle is ON
    - bgo#723889: Notifications: avoid warning printed in the log
    - bgo#723040: DapService: avoid freezing Banshee when unmapping device
    - bgo#679938: [gapless] Repeat always on
    - bgo#674293: [gapless] Banshee ignores "stop when finished"
    - bgo#621222: [gapless] Playcount shouldn't be incremented as soon as song
      plays
    - bgo#722947: prevent a crash when dealing with Nexus4
    - bgo#722731: avoid highlighting wrong track after invalid track was played
    - bgo#722219: avoid crash when disconnecting Nexus4
    - bgo#722209: avoid crash when connecting Nexus4
    - bgo#721203: CD audio source doesn't show up when inserting it
    - bgo#709376: avoid warnings when shutting down
    - ArtworkManager: prevent wrong retreival of empty artwork from cache
    - bgo#686908: doesn't remember volume setting in Linux (LP: #1071277)
    - bgo#700753: crash if 1st transcoding job yields error
    - bgo#687495: hang when dealing with Windows Phone (LP: #1205214)
    - bgo#699735: hang when mounting a LVM volume
    - bgo#698347: configure fails with --disable-gnome (Mac)
  * [fde3242] Refresh patches
  * [5208241] Drop Revert-ArtworkManager-Cache-null-artwork-for-fast-lo.patch.
    No longer appears to be needed, and doesn't apply properly anyway.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Feb 2014 01:39:16 +0800

banshee (2.6.1-5) unstable; urgency=low

  * [e31f3f6] Fix up dbus-sharp-glib-1.0 reference in the .pc file

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 15 Dec 2013 22:57:59 +0800

banshee (2.6.1-4) unstable; urgency=low

  * [c1bf3f2] Backport the dbus#2 patch
  * [ba50d2a] Build-dep on dbus#2

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 09 Dec 2013 20:04:08 +0800

banshee (2.6.1-3) unstable; urgency=low

  * Rebuild against taglib-sharp 2.1
  * [f8bb169] Add breaks banshee-extension-lyrics as it depends on older taglib

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Sep 2013 15:28:59 +0800

banshee (2.6.1-2ubuntu1) saucy; urgency=low

  * [cce9151] Merge from unstable, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 05 Jun 2013 21:05:42 +0800

banshee (2.6.1-2) unstable; urgency=low

  * [a2524b6] Reexport patches
  * [a1b2c41] Cherry-pick more Gstreamer 1.0 patches from slomo

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 02 Jun 2013 20:12:49 +0800

banshee (2.6.1-1ubuntu1) raring; urgency=low

  * [2b2c50d] Merge from experimental (LP: #1171179), remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring
  * Additional Launchpad bugs fixed:
    - Incorrect selected playlist from dropdown list in Sync UI (LP: #685119)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 21 Apr 2013 23:28:07 +0800

banshee (2.6.1-1) experimental; urgency=low

  * [ef5f04d] Imported Upstream version 2.6.1
  * [8f18f50] Build-dep on libdbus-glib-1-dev
  * [609a7e2] Drop upstreamed patches and refresh others
    - Dropped: Mtp-Fix-file-type-in-sync-with-libmtp-1.1.0-bgo-6885.patch
    - Refreshed: Remove-build-time-enable-gapless-playback-option.patch

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 21 Apr 2013 17:43:37 +0800

banshee (2.6.0-6ubuntu1) raring; urgency=low

  * [6e1f0dd] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 15 Feb 2013 13:32:06 +0800

banshee (2.6.0-6) experimental; urgency=low

  * [f745fd0] Cherry-pick patch to re-sync an MTP enum

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Feb 2013 23:36:46 +0800

banshee (2.6.0-5ubuntu1) UNRELEASED; urgency=low

  * [7ecb125] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 03 Jan 2013 04:01:01 +0800

banshee (2.6.0-5) experimental; urgency=low

  * [1de9672] Swap out Remove-check-for-….patch for upstream patch.
    This fixes the issue where gapless playback is disabled with no option for
    enabling it in the UI.

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 03 Jan 2013 01:45:55 +0800

banshee (2.6.0-4) experimental; urgency=low

  * [598f5d9] Change gst1.0-alsa in depends to gst1.0-pulseaudio.
    GNOME now uses -pulseaudio, so we can just use this as the default. Users
    can still remove pulseaudio and gst1.0-pulseaudio by having another
    -audiosink installed.
  * [25459ca] Recommend gst1.0-pulseaudio (without alternatives)
    This forces a standard audio sink to be installed by default, thus avoiding
    the issue of the jack audiosink taking precedence and preventing -pulseaudio
    or -alsa from getting installed. (Closes: #694786)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Nov 2012 21:11:49 +0800

banshee (2.6.0-3ubuntu1) raring-proposed; urgency=low

  * [8bf15b5] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
    - [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
      This is to pick up the arch-specific libgpod.dll binary (LP: #1070631)
    - [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Nov 2012 18:17:37 +0800

banshee (2.6.0-3) experimental; urgency=low

  * [4675854] Change gst binary depends and suggests to gst-1.0

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Nov 2012 00:57:01 +0800

banshee (2.6.0-2) experimental; urgency=low

  * [081cca7] Refresh patches
  * [300a62f] Add patch to port Banshee to Gstreamer 1.0
  * [bfe72c5] Build-dep on gstreamer-1.0 things
  * [25ee1ef] Patch to remove playbin version check for gapless

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 25 Nov 2012 14:31:53 +0800

banshee (2.6.0-1ubuntu3) raring-proposed; urgency=low

  * [2094ee5] Bump libgpod build-dep version to 0.8.2-7~
    This is to pick up the arch-specific libgpod.dll binary (LP: #1070631)
  * [03c8cad] Set debian-branch to ubuntu/raring

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 03 Nov 2012 18:02:05 +0800

banshee (2.6.0-1ubuntu2) quantal-proposed; urgency=low

  * debian/control: Drop X-Ubuntu-Use-Langpack:. This does not currently
    work due to LP #1048556, so let's include the upstream translations into
    the packages again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Oct 2012 08:01:03 +0200

banshee (2.6.0-1ubuntu1) quantal; urgency=low

  * [f84d118] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 30 Sep 2012 23:52:25 +0800

banshee (2.6.0-1) experimental; urgency=low

  * [494c02c] Imported Upstream version 2.6.0

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 30 Sep 2012 23:00:26 +0800

banshee (2.5.1-1ubuntu1) quantal; urgency=low

  * [9615bd3e] Merge from Debian Experimental (LP: #1041245), remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * [77c7309] Drop Workaruond-for-set_Height-Exceptions.patch.
    Applied upstream

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Sep 2012 16:41:43 +0800

banshee (2.5.1-1) experimental; urgency=low

  * [e8e7f55] Imported Upstream version 2.5.1:
    - Notable bugs fixed:
      * AmazonMp3.Store: Fix URL redirection for sign out action
      * bgo#623974: BasicTrackDetailsPage: Blank year spin button when 0
        (LP: #603471)
      * bgo#624976: Gui.Canvas.Rect: log invalid values for Width/Height
        (LP: #873787)
      * bgo#636450: PathPattern: Limit filename length to 200 characters
      * bgo#682510: Mpris: Only raise PropertiesChanged signal if value changed
      * bgo#683359: SourceView: log errors in SetCellDataFunc to avoid crashing
      * bgo#661112: Gui.Canvas.Size: log invalid values for Width/Height
        (LP: #857299)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Sep 2012 02:22:17 +0800

banshee (2.5.0-1ubuntu1) UNRELEASED; urgency=low

  * [1912c66] Merge from Debian Experimental, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * Additional Launchpad bug fixed:
    - Phantom operation animating progress bar after syncing iPod (LP: #864791)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 23 Sep 2012 15:37:59 +0800

banshee (2.5.0-1) experimental; urgency=low

  * [2fb3583] Imported Upstream version 2.5.0
  * [40793f9] Refresh patches and drop upstreamed Fix-FTBFS….patch

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 24 Aug 2012 02:25:28 +0800

banshee (2.4.1-3ubuntu1) quantal; urgency=low

  * [2ddc12d] Merge from Debian Unstable, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * [988cb56] Revert "Multiarchify path in soundmenu install file"
    This reverts commit 801eb55a65f21af8d01b6978bfbb0b64cf1990b9. (LP: #1008473)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Jun 2012 02:24:30 +0800

banshee (2.4.1-3) unstable; urgency=low

  * [6730396] Undo multiarch path changes
    - Revert "Use multiarch libdir" (9e1d4c4)
    - Specify --libdir=/usr/lib when configuring to override the multiarch
      libdir passed by dh_auto_configure in compat 9 (LP: #1008473)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Jun 2012 01:59:25 +0800

banshee (2.4.1-2) unstable; urgency=low

  * Rebuild against gdata-sharp 2.1.0.0

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Jun 2012 13:09:42 +0800

banshee (2.4.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Enable and recommend SoundMenu and Disable NotificationArea by default
    - Disable boo and karma extensions
    - Move desktop file for Meego UI to /usr/share/une/applications
    - Change the url for the Amazon store redirector
    - [9b356d6] Add workaround for set_Height exception.
    - [ccbcbbd] Make Banshee translatable in Launchpad
  * [c8567da] Refresh patches and drop patch numbers
  * [801eb55] Multiarchify path in soundmenu install file

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 02 Jun 2012 16:35:46 +0800

banshee (2.4.1-1) unstable; urgency=low

  * [856d4d6] New upstream bugfix release:
    - Migo.Syndication: Handle feeds with malformed enclosure URLs
    - bgo#626659: ServiceManager: check properly if a service is required
    - bgo#634758: PlaylistSource: Make sure the right tracks are removed
      (LP: #785822)
    - bgo#662909: PlaylistParser: Retry HTTP request after timeout
      (Closes: #546749, LP: #785304)
    - bgo#666696: DapSource: Flush pending changes when quitting
    - bgo#672744: UPnPServerSource: Fix crash when getting the root object
      (LP: #785822)
    - bgo#673037: libossifer: Fix certificate validation with libsoup 2.38
    - bgo#673416: DbIteratorJob: Abort job after several consecutive failures
    - bgo#676144: PlayQueueSource: Fix high memory usage when shuffling
  * debian/(control, compat):
    - [a46c8f0] Bump debhelper compat to 9 for buildflags
  * debian/(Banshee.GStreamer.dll.config, Banshee.NowPlaying.X11.dll.config):
    - [437c092] Drop downstream dll.config files
  * debian/(*.install, rules):
    - [9e1d4c4] Use multiarch libdir
  * debian/patches, debian/rules:
    - [39056ef] Drop upstreamed 0013-UPnPServerSource-….patch
    - [e34d9f3] Drop patch numbers and refresh
    - [028167e] Drop moduleref-removing patches.
      Use --exclude-moduleref instead.
    - [0403c98] Patch to add Banshee.NowPlaying.X11.dll.config
    - [ad971c3] Fix missing \ in Add-Meego-desktop-file.patch

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 01 Jun 2012 17:36:21 +0800

banshee (2.4.0-2ubuntu2) quantal; urgency=low

  * [ccbcbbd] Make Banshee translatable in Launchpad
    - Add X-Ubuntu-Langpack-Use-Langpack: yes
    - Use dh-translations

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 26 May 2012 17:13:43 +0800

banshee (2.4.0-2ubuntu1) precise; urgency=low

  * [980ad3d] Merge from Debian Unstable, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    * [9b356d6] Add workaround for set_Height exception.
  * [57afffa] Reexport patches via gbp-pq.
    The numbering of the Ubuntu specific patches have been upset due to the new
    patches imported into the previous Debian revision.

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Apr 2012 23:34:40 +0800

banshee (2.4.0-2) unstable; urgency=low

  * d/patches:
    - [8119b20] Patch to fix SSL cert validation with new libsoup (LP: #980300)
    - [516bc06] Refresh patches
    - [2077d23] Cherry-pick patch to fix Upnp crash
  * d/control:
    - [002c13b] Bump Standards-Version (3.9.2 → 3.9.3)
    - [ed8f5a8] Bump mono-upnp build-dep version.
      + This is to include the related Mono.Upnp patch listed in bgo#672744.
      + Also fixes a crasher when the UPnP extension is enabled. (LP: #945566)
  * [c4f25f3] d/copyright: Switch to new copyright-format

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Apr 2012 21:40:13 +0800

banshee (2.4.0-1ubuntu3) precise; urgency=low

  * [9b356d6] Add workaround for set_Height exception.
    This patch was previously added to the Oneiric release but left out of
    Precise to facilitate further testing of the bug. (LP: #873787)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 24 Mar 2012 05:37:04 +0800

banshee (2.4.0-1ubuntu2) precise; urgency=low

  * Rebuild against mono-upnp 0.1.1
  * [883fec1] Bump version of mono-upnp build-dep version.
    This fixes a crasher when the UPnP extension is enabled. (LP: #945566)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 23 Mar 2012 01:47:11 +0800

banshee (2.4.0-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 22 Mar 2012 08:02:27 +0800

banshee (2.4.0-1) unstable; urgency=low

  * [f5c6efc] Imported Upstream version 2.4.0:
    + Enhancements:
      - Dap.MassStorage: Add support for the Archos Internet Tablet
      - bgo#589196: Dap.MassStorage: metadata resync in manual mode.
      - bgo#665997: Mpris: Add xesam:userRating field in track metadata.
    + Notable bugs fixed:
      - Mpris: Fix OpenUri method to also support http URIs
    + Other bugs fixed:
      - Don't use a proxy if proxy host is empty (LP: #861158)
  * [d17dd9b] Add --enable-webkit flag to d/rules

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 20 Mar 2012 17:36:42 +0800

banshee (2.3.6-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 10 Mar 2012 16:48:03 +0800

banshee (2.3.6-1) experimental; urgency=low

  * [8466386] Drop deprecated cli.make usage
  * [c53670c] Imported Upstream version 2.3.6:
    + bgo#548366: Allow primary sources to marked as temporary
    + bgo#666981: LibraryWatcher: avoid importing incomplete files

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 08 Mar 2012 12:57:31 +0800

banshee (2.3.5-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 18 Feb 2012 22:17:24 +0800

banshee (2.3.5-1) experimental; urgency=low

  * [e79ef58] Imported Upstream version 2.3.5:
    + New features:
      - UPnP support
        Browse and play music or videos shared over your local network
        by UPnP device.
    + Enhancements:
      - bgo#587964: Dap: Add support for DOS folder separator in playlists
      - bgo#548636: Lastfm: Use one standard directory for last.fm caching
      - Add option to hide the artist filter
      - Add a Composer filter in the SearchEntry filter menu
      - MusicBrainz: Enable FreeBSD support
      - AudioscrobblerConnection: Add logging for last.fm scrobbler
    + Notable Bugs Fixed (5 fixed since 2.3.4):
      - Fix MusicBrainz dllmap for cross-architecture support
      - LibraryWatcher: Catch and log exception when processing changes
      - Improve readability of the Last.fm user guide page
      - Prevent missing icons in the source tarball
  * [93c81cd] Add libmono-upnp-cil-dev to build-dep for DLNA
  * [b90b9f3] Enable DLNA support in configure
  * [5dba058] Update missing configure flags.
     * Drop --disable-builtin-equalizer. The option has been removed.
     * Add --enable-gio-hardware. It was enabled by automagic before.
  * [0677418] Refresh winmm patch and drop Makefile.in hunks

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 17 Feb 2012 08:13:32 +0800

banshee (2.3.4.ds-1ubuntu2) precise; urgency=low

  * [8406200] Disable Ubuntu One extension.
    It requires gtk3 and the mono bindings have been removed.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 08 Feb 2012 03:14:09 +0800

banshee (2.3.4.ds-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and suggest u1ms
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"
  * [b617fe0] Convert Ubuntu-specific patches to gbp-pq patches
  * Also fixes Launchpad bugs:
    - Fixes race condition while starting (LP: #766303)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 23 Jan 2012 23:16:49 +0800

banshee (2.3.4.ds-1) unstable; urgency=low

  * [c56a9ec] Imported Upstream version 2.3.4
  * [654e70a] Imported Upstream version 2.3.4.ds
    A manual make dist since the original 2.3.4 tarball came without icons due
    to a Makefile.am bug
  * [b526608] Drop deprecated watch urls
  * [984690c] Drop ltmain patch (no longer needed)
  * [8c8b907] Refresh all patches with gbp-pq
  * [72b914a] Add s/\.ds// dversionmangle for watchfile
  * [9ed5dce] Update email address

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 23:37:39 +0800

banshee (2.3.3-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and suggest u1ms
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 26 Dec 2011 01:19:15 +0800

banshee (2.3.3-1) experimental; urgency=low

  * [501b8bd] Imported Upstream version 2.3.3
    + Enhancements:
      - StreamPositionLabel: Fix label when loading
      - Preferences: Change wording of Metadata settings
      - bgo#608389: AudiobookLibrarySource: Accept tracks dragged from playlists
      - bgo#666493: Emusic.Store: Remove unneeded refresh
      - bgo#666488: Dap.MassStorage: Add and use specific icons for Xperia
        phones
    + Notable Bugs Fixed (11 fixed since 2.3.2):
      - bgo#638130: Fix importing of rating and play count when updating track
      - bgo#644145: Fix FileLocation queries for the StartsWith operator
      - bgo#656439: Audiobook: Add a button to go back to the list of audiobooks
      - bgo#661322: PlaybackShuffleActions: Fix crash when setting shuffle mode

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 24 Dec 2011 01:06:46 +0800

banshee (2.3.2-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and suggest u1ms
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 12 Dec 2011 01:40:00 +0800

banshee (2.3.2-1) experimental; urgency=low

  * [8892783] Switch over to xz tarball in debian/watch
  * [e5763e3] Imported Upstream version 2.3.2
    + New Features:
      - Configurable browser filters (LP: #504550)
          You can now display the genres and years in the browser, in
          addition to the artists and the albums, and use them to filter your
          music library. You can also choose to only display album artists
          in the artist filter, instead of all artists in your library.
    + Enhancements:
      - bgo#664424: AsxPlaylistFormat: Add support for external ASX playlists
      - bgo#664642: Add support for the NEC LifeTouch Note
      - Dap.MassStorage: Don't sync 'unknown album' metadata
    + Notable Bugs Fixed (36 fixed since 2.2.0):
      - Mpris: Change trackid type from string to DBus object path
      - Gio: Fix encoding of URIs in Directory class and fix values in database
      - bgo#662883: Fix activation of UbuntuOneMusicStore source on startup
      - bgo#651743: YouTubeTile: Fix construction of the playback URI
        (LP: #791902)
      - bgo#664381: Dap.MassStorage: Rename Xperia X12 to Xperia arc
      - bgo#664079: Skip empty files when importing and show error
      - Importing: when showing an error, use file paths, not URIs
  * [dadfbda] Drop compression = bzip2 line from gbp.conf
  * [5e53d02] Refresh ltmain patch
  * [edcf498] Drop upstreamed patches

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 01 Dec 2011 10:19:44 +0800

banshee (2.3.1-1ubuntu1) precise; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 08 Nov 2011 13:15:58 +0800

banshee (2.3.1-1) experimental; urgency=low

  * [1b4437e] Bump libgpod-cil-dev build-dep version
  * [fb16a3c] Imported Upstream version 2.3.1:
    + Enhancements:
      - Several improvements to Muinshee, our alternative UI:
        + Add a Clear button to the toolba
        + Make double+click on an album do the same as the Play button
        + Don't close the dialog when pressing Enqueue
        + Make the Esc key close the dialog if there is no search text
        + Use better icons for the Play and Enqueue buttons
      - Add separate options for writing ratings and play counts to files
      - Update values for the Smiley Face equalizer preset
      - Set the PulseAudio media.role property
    + Notable bug fixes:
      - UbuntuOneMusicStore: Ensure u1ms URIs passed at startup get loaded
      - Daap: Fix crash while resolving the address of a DAAP service
      - DatabaseImportManager: Support importing .mka files
      - Notify playlists on rating change through d-bus or command line
      - bgo#661467: AmazonMp3: Handle plain text AMZ files now sent by Amazon
        (LP: #882347)
      - bgo#662906: AudiobookLibrarySource: Fix crash when adding tracks
      - bgo#659841: GnomeBackend: Be more robust against GConf failures
        (LP: #854845)
      - bgo#656533: Notification: Fix application name used in internal notify#
        (LP: #825769)
      - bgo#649277: NotificationArea: Only use supported tags in the
        notification message (Closes: #588999)
      - bgo#647898: Try to fetch coverart without an internet connection
      - bgo#658803: Prune CoverArtDownloads table when removing tracks
    + Other LP bugs fixed:
      - Crash on rescanning library (LP: #744257)
      - UbuntuOne Music Store hang when Internet connection not present
        (LP: #875632)
      - Update error message for Banshee DAAP non-connectivity (LP: #864838)
      - bgo#661467: AmazonMp3: Handle plain text AMZ files now sent by Amazon
        (LP: #882347)
  * [e180004] Bump mono-addins build-dep (0.3.1 → 0.6.2)
  * [6dc2a9b] Fix unused-but-set wanted_size variable

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 03 Nov 2011 09:57:29 +0800

banshee (2.2.1-3) unstable; urgency=low

  * [1ebf272] Cherry-pick upstream patch to fix libc moduleref & FTBFS on
    ia64. Thanks to Jo Shields <directhex@apebox.org>
  * [78c3bb0] Drop deprecated cli.make usage and use cli sequence directly

 -- Iain Lane <laney@debian.org>  Sun, 22 Jan 2012 11:46:57 +0000

banshee (2.2.1-2) unstable; urgency=low

  * No-change rebuild for new gdata-sharp ABI 

 -- Iain Lane <laney@debian.org>  Sat, 24 Dec 2011 11:35:25 +0000

banshee (2.2.1-1) unstable; urgency=low

  * [1b4437e] Bump libgpod-cil-dev build-dep version
  * [cbddc03] Imported Upstream version 2.2.1:
    + Notable bug fixes:
      - bgo#661467: AmazonMp3: Handle plain text AMZ files now sent by Amazon
        (LP: #882347)
      - UbuntuOneMusicStore: Ensure u1ms URIs passed at startup get loaded
      - Daap: Fix crash while resolving the address of a DAAP service
      - DatabaseImportManager: Support importing .mka files
      - bgo#662906: AudiobookLibrarySource: Fix crash when adding tracks
      - bgo#659841: GnomeBackend: Be more robust against GConf failures
        (LP: #854845)
      - bgo#656533: Notification: Fix application name used in internal notify#
        (LP: #825769)
      - bgo#649277: NotificationArea: Only use supported tags in the
        notification message (Closes: #588999)
    + Other Launchpad bugs fixed:
      - Crash on rescanning library (LP: #744257)
      - UbuntuOne Music Store hang when Internet connection not present
        (LP: #875632)
      - Update error message for Banshee DAAP non-connectivity (LP: #864838)
  * [2cbb9a0] Fix unused-but-set wanted_size variable

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 03 Nov 2011 10:00:57 +0800

banshee (2.2.0-1ubuntu2) oneiric; urgency=low

  * [cd59790] Backport patch to add U1MS URI support (LP: #856542)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 23 Sep 2011 12:03:29 +0800

banshee (2.2.0-1ubuntu1) oneiric; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 21 Sep 2011 13:54:50 +0800

banshee (2.2.0-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * [197bbe7] Imported Upstream version 2.2.0:
    + Notable bug fixes:
      - Bookmark: Fix loading of bookmarks so that playing starts
      - bgo#658509: PodcastService: Update podcast storage location immediately
        (LP: #844279)
      - bgo#657565: TrackActions: Make sure keyboard accelerators are editable
        (LP: #836136)
      - bgo#658110: Playlists: Replace DOS folder separators in URLs

  [ Iain Lane ]
  * [406b1c9] Fix randomly inserted characters in d/copyright (♥ Lintian)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 20 Sep 2011 14:15:54 +0800

banshee (2.1.4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
  * [5ba1472] Move banshee-extension-ubuntuonemusicstore to Suggests.
    Thanks to Rodney Dawes <rodney.dawes@ubuntu.com> (LP: #833824)
  * [08dea2c] Revert "Fix invalid cast causing ftbfs with libgpod"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 15 Sep 2011 02:37:59 +0800

banshee (2.1.4-1) experimental; urgency=low

  * [9c90bff] Imported Upstream version 2.1.4
    + Notable Bugs Fixed (11 fixed since 2.1.3):
      - bgo#601554: Don't resolve external references when parsing bad RSS feeds
      - bgo#633939: Fix crash in SearchEntry.FilterMenuItem
      - bgo#647917: Dap.MassStorage: decode URI before using it as playlist name
      - bgo#650325: MtpSource: Remove obsolete URL from error message
      - bgo#657479: Make sure empty default smart playlists are hidden
      - libbanshee: Fix crash on g_free when looking for subtitle description
  * [889b204] Fix invalid cast causing ftbfs with libgpod

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 08 Sep 2011 10:02:04 +0800

banshee (2.1.3-1ubuntu1) oneiric; urgency=low

  * [e356872] Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement
    + [9d7c600] Drop upstreamed u1ms-initialize-earlier patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 25 Aug 2011 20:48:45 +0800

banshee (2.1.3-1) experimental; urgency=low

  * [6a4942d] Update manpage
  * [b5856fb] Imported Upstream version 2.1.3
    + New Features:
      - New custom support for the Barnes & Noble Nook
      - Support default internet radio stations. At first start, XSPF playlists
        in $datadir/banshee/stations/ are imported automatically. We don't
        provide default radio stations ourselves but this allows distros or
        other third parties to do so.
    + Enhancements:
      - bgo#549173: Add "Stop when finished" option in the notification popup
        menu
      - bgo#636071: Get info from the database or the file when opening a URI
        (LP: #683970)
      - bgo#639805: Hide labels in the source pane when the group is empty
        (LP: #712466)
      - bgo#647306: Add support for the Notion Ink Adam tablet
      - bgo#651497: Motorola Atrix support (LP: #779072)
      - bgo#653255: Samsung Galaxy S2 support
      - bgo#653284: Remove keyboard shortcut for toggling scrobbling
      - bgo#653997: Samsung Galaxy Ace support
      - bgo#656526: Add "Smiley Face Curve" default equalizer
      - bgo#656670: Cache the ArtworkID in the database for faster startup
      - Various enhancements to our experimental GStreamer# backend, bringing it
        close to feature parity with our current C backend. It is still not
        built by default and not recommended for daily use, but testing is
        welcome.
    + Notable Bugs Fixed (39 fixed since 2.1.0):
      - bgo#587264: Fix metadata fetching from MusicBrainz (LP: #778090)
      - bgo#647111: Put the Audio CD source label in the right place
        (LP: #765885)
      - bgo#647202: Fix space usage reporting for some DAP devices
      - bgo#648498: Make sure the MPRIS sends the new metadata on track change
        (LP: #768509)
      - bgo#650011: Fix items disappearing in playlists when re-connecting iPod
      - bgo#650184: Fix XSPF playlist importing error (LP: #791418)
      - bgo#651914: Fix "Least Favorite" smart playlist to not pick unrated
        songs
      - bgo#654524: Fix the SetPosition method in the MPRIS interface
      - bgo#656176: Don't ignore the last value of the .is_audio_player file
      - bgo#656246: Fix random crash while changing tracks
      - EqualizerSetting: Set the amplifier level for default equalizers

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 25 Aug 2011 12:34:46 +0800

banshee (2.1.0-2) experimental; urgency=low

  [ Chow Loong Jin ]
  * [a72b20a] Add apport hook.
    Thanks to Jeremy Bicha <jeremy@bicha.net> (LP: #735897)
  * [fd5aed2] Cherry-pick patch to port Banshee to DBus#
  * [4706fbe] Amend build-deps to use dbus# instead of ndesk-dbus
  * [3b30572] Add autoreconf
  * [a1fb6fe] Bump version of bce that Banshee breaks
  * [d747605] Update webkit build-dep for webkit 1.3 transition
    (Closes: #635402)

  [ Iain Lane ]
  * [65625a4] Remove .la files.
    Thanks to Luk Claes <luk@debian.org> (Closes: #621324)
  * [7c776aa] Pass --as-needed to dh_autoreconf to enable support in ltmain.sh
  * [66e797e] Fix Breaks version on banshee-community-extensions.
    Thanks to Joachim Breitner <nomeata@debian.org> (Closes: #635332)
  * [6023eb1] Standards-Version → 3.9.2, no changes required

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 01 Aug 2011 22:16:48 +0800

banshee (2.1.0-1ubuntu1) oneiric; urgency=low

  * [2396c18] Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement
  * [9d7c600] Drop upstreamed u1ms-initialize-earlier patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 14 May 2011 22:25:36 +0800

banshee (2.1.0-1) experimental; urgency=low

  * [6b1b0d2] New upstream release:
    + New features:
      - eMusic store
    + Enhancements:
      - ArtworkManager: add --fetch-artwork argument
      - bgo#647754: Xperia X12 support
      - bgo#508713: MiniMode: Reduce height of window
      - bgo#648941: Support .spc files
      - bgo#649401: Set UserAgent when doing MusicBrainz queries
    + Notable bug fixes:
      - Windows installer fixes
      - bgo#647059: Fix Remote Daap crash
      - bgo#647089: Daap: Bind to IPAddress.Loopback instead of Any
        (LP: #753986)
      - bgo#644648: libbanshee fixes
      - bgo#642113: Change Remote dialog's button from Ok to Add
      - bgo#647144: StreamPositionLabel fixes
      - AmazonMp3.Store: Fix signed-in detection for UK store
      - bgo#633552: AppleDevice: Ensure m4a/mp3 are supported
      - bgo#634647: Have ctrl-a select text in SearchEntry
      - bgo#642140: Last.fm: Close HTTP streams when finished with them
      - bgo#648133: build: Don't delete gnome-doc-utils.make during distclean
      - bgo#647932: DatabaseSource: Fix NRE in SkipTrackIfRemoved
      - bgo#646991: AlbumListView: Fix disappearing option in Preferences
      - bgo#647024: Lastfm: Fix NRE crash
      - bgo#636057: Fix rendering glitch
      - PodcastFeedPropertiesDialog: Fix display of feed URL
      - bgo#648458: PlsPlaylistFormat: Make parsing the header case-insensitive
      - bgo#611489: GStreamer: Use Banshee.IO instead of System.IO
      - bgo#641748: ViewActions: enable eq once we know backend supports it
      - bgo#638889: Banshee.Services: Avoid creating dupes after moves
  * [227b3ca] Add new GNOME URL to debian/watch
  * [89f38cb] Bump build depends to match build system changes
  * [b384a5b] Drop obsolete configure flags
  * [ca2a400] Provide banshee-{api,asm}-* virtual packages
  * [741d31a] Workaround clideps issue
  * [287ec44] Workaround meego panel clideps failure

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 14 May 2011 22:06:44 +0800

banshee (2.0.1-4) unstable; urgency=low

  * [d747605] Update webkit build-dep for webkit 1.3 transition
    (Closes: #635402)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 01 Aug 2011 16:44:53 +0800

banshee (2.0.1-3) unstable; urgency=low

  * [66e797e] Fix Breaks version on banshee-community-extensions.
    We want to require at least -2 for the dbus-sharp port, but also provide
    for future backported versions, so add a ~ at the end.
    Thanks to Joachim Breitner <nomeata@debian.org> (Closes: #635332)
  * [6023eb1] Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Mon, 25 Jul 2011 14:13:48 +0100

banshee (2.0.1-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [fd5aed2] Cherry-pick patch to port Banshee to DBus#
  * [4706fbe] Amend build-deps to use dbus# instead of ndesk-dbus
  * [3b30572] Add autoreconf
  * [a1fb6fe] Bump version of bce that Banshee breaks

  [ Iain Lane ]
  * [65625a4] Remove .la files.
    Thanks to Luk Claes <luk@debian.org> (Closes: #621324)
  * [7c776aa] Pass --as-needed to dh_autoreconf to enable support in ltmain.sh

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 10 Jul 2011 09:57:33 +0100

banshee (2.0.1-1ubuntu1) oneiric; urgency=low

  * [327a8d2] Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement
  * [2ca3f6a] Refresh 90_amazon_url.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 06 May 2011 17:00:03 +0800

banshee (2.0.1-1) unstable; urgency=low

  * [5f2e8a7] Switch over to bz2 in debian/watch
  * [5dcec7d] New upstream release:
    + AmazonMp3.Store: Fix signed-in detection for UK store
    + PodcastFeedPropertiesDialog: Fix display of feed URL (underscore)
    + bgo#648941: Add .spc to whitelist
    + bgo#648458: PlsPlaylistFormat: Make parsing the header case+insensitive
    + bgo#647754: Add USB ids for Xperia X12
    + bgo#647024: Lastfm: Fix NRE crash
    + bgo#646991: AlbumListView: Fix disappearing option in Preferences
    + bgo#647932: DatabaseSource: Fix NRE in SkipTrackIfRemoved
    + bgo#642140: Last.fm: Close HTTP streams when finished with them
    + bgo#633552: AppleDevice: Ensure m4a/mp3 are supported
    + bgo#647144: StreamPositionLabel: Avoid unnecessary redraws
    + bgo#647089: Daap: Bind to IPAddress.Loopback instead of Any (LP: #753986)
    + bgo#647059: Fix Remote Daap crash
  * [5bd47d1] Drop upstreamed 10_bind-to-loopback-for-daap
  * [a853ad8] Drop upstreamed 11_reduce_cpu_usage.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 03 May 2011 21:42:30 +0800

banshee (2.0.0-2ubuntu1) natty; urgency=low

  * [d07fe37] Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    + Create the U1MS widget earlier and bump libu1 requirement

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 18 Apr 2011 11:38:56 +0800

banshee (2.0.0-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [8ee2dd2] Set compression to bz2
  * [0ffc007] Disable dh_makeclilibs
  * [a9bdd15] Update copyright file to dep-5
  * [8c123e8] Don't enable librarywatcher by default (LP: #760902, #622313)
  * [0d952b6] Refresh 08_remove_unrelevant_media.patch

  [ Christopher James Halse Rogers ]
  * [5809dc3] Cherry-pick CPU-usage reduction patches from stable-2.0
  * [920dd3e] Bump GIO# build-depend to ensure we build against the fixed
    package

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 16 Apr 2011 18:51:30 +0800

banshee (2.0.0-1ubuntu3) natty; urgency=low

  * 11_reduce_cpu_usage.patch:
    - Cherry pick two commits from the stable-2.0 branch reducing Banshee's
      CPU use while playing by about 50%.
  * Bump build-depend on GIO# to ensure we pick up the fix for a nasty leak.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 11 Apr 2011 18:14:48 +1000

banshee (2.0.0-1ubuntu2) natty; urgency=low

  * 90_amazon_url.patch:
    - Change the url for the Amazon store redirector (LP: #745194)
  * 91_u1ms-initialize-earlier.patch:
    - Create the U1MusicStore widget earlier (LP: #604699)
    - Require libubuntuone >= 0.9.2

 -- Rodney Dawes <rodney.dawes@canonical.com>  Fri, 08 Apr 2011 23:37:37 -0400

banshee (2.0.0-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 06 Apr 2011 23:43:24 +0800

banshee (2.0.0-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * [ea911b3] New upstream release:
    + Enhancements:
      - Support Amazon Cloud Player browsing and downloading
      - 'Shuffle by' respects user-selected artist/album
      - Support LG Optimus S Android phone
      - Add DBus method to clear the play queue
    + Notable bugs fixed:
      - [AppleDevice] Sync dialog would be displayed forever
      - bgo#636448: AppleDevice: Fix music appearing in Videos in Banshee
      - Wrong mouse pointer on search box (LP: #723122)
  * [69aa1ac] Refresh 06_add-meego-desktop-file.patch

  [ Iain Lane ]
  * [eac3863] Add new patch to only bind to the loopback address for the DAAP proxy
    (LP: #753986)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 06 Apr 2011 18:14:27 +0800

banshee (1.9.6-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
  * [b14f32d] Bump libubuntuone1.0-cil-dev version in build-dep
  * [e382b0f] Update soundmenu and u1ms install files for rename

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 29 Mar 2011 08:16:04 +0800

banshee (1.9.6-1) unstable; urgency=low

  * [3b75d9a] Fix wrong comparison of yes vs y for gio-hardware (LP: #736631)
  * [9a41f05] New upstream release:
    + Enhancements:
      - Rename banshee-1 to banshee in preparation for 2.0
      - AmazonMp3.Store: amazon.ca support
      - MiroGuide: Handle Listen links from front page
      - Dap: Add support for Sharp IS01 (bgo#645361)
      - Playlists: Recognize m3u playlists without header (bgo#645351)
      - LibraryWatcher: Guard against watching incorrect dirs (bgo#633309)
      - MassStorage: Support Sirius Alpha Android phone (bgo#643960)
      - WebOSDevice: Support playlists (bgo#641486)
      - Windows: Auto-update functionality (bgo#641960)
    + Notable Bugs Fixed (26 fixed since 1.9.5):
      - MiroGuide: Properly escape search query strings
      - AmazonMp3.Store: Fix search query escaping
      - bgo#623183: DatabaseTrackInfo: Fix rating update on current track
      - bgo#637717: audio-profiles: fix duration for CBR lame profile
        (LP: #700684)
      - bgo#614192: GStreamer: Fix inappropriate repeating
      - bgo#643782: Mpris: Distinguish between music and video playlists
      - bgo#641515: Workaround X BadMatch crash (LP: #725316)
      - bgo#619609: Metadata: Do not fetch covers for unknown albums/artists
      - bgo#631012: Audiobook: Fix crash when switch to playlist
      - bgo#628087: Handle setting SearchEntry.Query to nullb
      - bgo#602145: InternetRadio: Clear playback errors when playing
        (LP: #423622)
      - bgo#635951: Fix skipping removed/deleted tracks
  * [b5f2f21] Handle banshee-1 rename back to banshee
  * [07f8bb8] Refresh 06_add-meego-desktop-file.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 26 Mar 2011 00:48:41 +0800

banshee (1.9.5-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 01:05:18 +0800

banshee (1.9.5-1) unstable; urgency=low

  * [6e971aa] Only use GIO Hardware on linux-any (Closes: #615126)
  * [017db91] Fix some dh_clideps issues
  * [9c7ee7c] New upstream release
    + Enhancements:
      - Add support for handling u1ms:// links
      - Windows: Add Win7 thumbnail toolbar playback buttons
      - OS X Build: Work with new bockbuild, add MonoMac
    + Notable Bugs Fixed (20 fixed since 1.9.4):
      - bgo#644315: Fix album browser's border on Windows
      - bgo#641608: windows: Fix notification icon menu positioning
      - bgo#643188: Help: Fix help URL to library.gnome.org
      - bgo#643407: GStreamerSharp: Properly handle GStreamer errors
      - bgo#641674: SmartPlaylists: Fix queries with { and }
      - Hide 'Unknown Artist' in 'All Albums' browser entry
  * [ac45746] Squash Ubuntu delta in debian/rules
  * [2ee4b52] Refresh 06_add-meego-desktop-file.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 11 Mar 2011 01:10:49 +0800

banshee (1.9.4-1ubuntu2) natty; urgency=low

  * 0001-Add-support-for-u1ms-links.patch:
    - Handle u1ms:// links in the U1 Music Store (LP: #723960)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 28 Feb 2011 14:06:16 -0500

banshee (1.9.4-1ubuntu1) natty; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 26 Feb 2011 22:05:24 +0800

banshee (1.9.4-1) unstable; urgency=low

  * [f49212c] New upstream release:
    + Enhancements:
      - Various fixes and improvements to the Windows build
      - MultimediaKeys: Support Pause, FastForward, Rewind, Repeat and Shuffle
      - Advertise lastfm scheme handling in the .desktop files
    + Notable Bugs Fixed (25 fixed since 1.9.3):
      - AmazonMp3.Store: Fix the server 'Home' redirect
      - Misc theme and string fixes
      - bgo#638541: Don't try to find subtitle files for music
      - Fix the position label when the stream ends
      - TrackInfoDisplay: Don't display last track when idle
      - bgo#614530: Fixed a ListView glitch
      - bgo#642717: SoundMenu: don't call BlacklistMediaPlayer on startup
        (LP: #722484)
  * [61986b3] Refresh patches and drop upstreamed patches

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 24 Feb 2011 01:35:05 +0800

banshee (1.9.3-2ubuntu1) natty; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 20 Feb 2011 14:48:54 +0800

banshee (1.9.3-2) unstable; urgency=low

  * [c349fbb] Bump gdata-sharp build-dep to accomodate ABI bump

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 13 Feb 2011 18:53:16 +0800

banshee (1.9.3-1ubuntu1) UNRELEASED; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
  * [aa23652] Drop libindicate0.1-cil-dev

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 03 Feb 2011 22:16:35 +0800

banshee (1.9.3-1) unstable; urgency=low

  * [e588bea] New upstream release:
    + Enhancements:
      - Various fixes and improvements to the Windows build
      - MPRIS: Implement the recently added PlaylistChanged signal
      - SoundMenu: Implement the new registration process
      - Daap: Keep a list of recently used remote servers
      - Add back counts for top level libraries
    + Notable Bugs Fixed (36 fixed since 1.9.2):
      - bgo#639603: Fix NRE when current track doesn't have a Uri
      - bgo#486543: Playlists: Fix parsing when started from root directory
      - bgo#640276: AmazonMp3.Store: Fix country detection for United Kingdom
      - bgo#638070: LibraryWatcher: Don't watch non-existing dirs
      - bgo#635779: Fix crash after disabling some extensions (LP: #681362)
      - bgo#636435: PlayQueueSource: Fix track prepending when not playing
      - bgo#641000: NowPlaying: Fix resizing fullscreen control bar
      - bgo#640455: PlayQueue: Additional padding for the fill controls
    + Launchpad bugs fixed:
      - Cannot export Banshee playlist (LP: #392015)
      - Internet Radio doesn't function when Banshee is launched by Music Applet
        (LP: #674116)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 03 Feb 2011 14:16:19 +0800

banshee (1.9.2-1ubuntu1) natty; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + Enable SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Enable and recommnd u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
  * [0c8acd9] Enable u1ms by default

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 24 Jan 2011 22:17:31 +0800

banshee (1.9.2-1) experimental; urgency=low

  * [df82d8d] Add libgnome-desktop-dev build-dep
  * [bc58842] New upstream release:
    + Enhancements:
      - Add support for Nexus S and Xperia X10 mini pro
      - Many improvements and fixes to the F1 user guide
      - SoundMenu: Implement the proper close/quit behavior
      - MPRIS: Implement the Playlists interface
      - Improved write-metadata-to-file performance
    + Notable Bugs Fixed (33 fixed since 1.9.1):
      - bgo#637333: MeeGo: Fix NRE at start up
      - bgo#637350: Fix SimpleTable crash
      - bgo#636077: Fix Podcasts selection bug w/ DAP plugged in
      - bgo#637366: SmartPlaylistSource: Fix NRE with "selected by random"
      - bgo#637365: SmartPlaylistSource: Clear the condition when it's not enabled
      - bgo#637303: FileChooserDialog: Fix error message on first launch
      - bgo#637627: FullscreenWindow: Keep fullscreen when showing volume osd
      - bgo#634652: AppleDevice: Remove invalid tracks before syncing
      - bgo#638477: X11NotificationArea: Enhance check for RGBA visual
      - bgo#637991: SourceRowRenderer: Fix vertical alignment calculation
      - bgo#611796: [Preferences] Have source list use theme icon size
      - bgo#639044: UnknownTrackInfo: Avoid NRE if URI is null
      - bgo#639032: LastfmStreaming: Delete the Loved stations from the database
    + Launchpad bugs fixed:
      - Delete from drive on album/artist will delete entire library (LP: #678113)
      - TaskStatusIcon being GC'd early causing crashes (LP: #636953)
      - Songs imported from CD are duplicated in the library (LP: #659364)
      - Hang when using the mini model (LP: #669857)
      - First track in an audiobook is played endlessly (LP: #675226)
      - "Folder contents could not be dislpayed" when importing playlist (LP: #687402)
      - Unknown Artist/Unknown Album gets overwritten (LP: #348502)
      - Song continues playing after being deleted (LP: #366893)
      - Different sizes of music source and music folder icons in preferences
        dialogue (LP: #683609)
      - Single tab shown in Properties window (LP: #683617)
  * [f2b0176] Refresh 06_add-meego-desktop-file.patch
  * [8e8e81f] Drop 09_Fix-issue-with-YOptions-in-SimpleTable.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 15 Jan 2011 02:41:50 +0800

banshee (1.9.1-1ubuntu3) natty; urgency=low

  * debian/control:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Jan 2011 15:37:55 -0600

banshee (1.9.1-1ubuntu2) natty; urgency=low

  * [f1bb0cf] Enable SoundMenu by default

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 27 Dec 2010 10:59:06 +0800

banshee (1.9.1-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + Disable notification area by default
    + Disable boo and karma extensions
    + Enable and recommend u1ms and soundmenu extensions
    + Move desktop file for Meego UI to /usr/share/une/applications

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 21 Dec 2010 13:22:57 +0800

banshee (1.9.1-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * [06e753e] Imported Upstream version 1.9.0+git20101121.r1.b13266e
  * [b2cc56d] debian/patches/06_add-meego-desktop-file.patch: Refresh
  * [b99b384] Revert performance patch that caused artwork to not
    display
  * [5f89945] debian/rules: Fix gettext domain (LP: #677173)
  * [bca52af] Shift gst-plugins-bad to Suggests
  * [50295b9] Document U1MS and SoundMenu in copyright file

  [ Iain Lane ]
  * [1daf2e6] Imported Upstream version 1.9.1
    + New Features
      - Ubuntu One Music Store and SoundMenu Extensions - Not enabled in
        Debian (yet)
      - Subtitles
    + Enhancements
      - Massively rework the podcast edit dialog
      - Let line wrap in properties table
      - Add 'Podcast Properties' to episode menu
      - Show context menu even for 'All' filters
      - Only show tabs if there is more than one
      - Make Play/Pause action tooltip only show play or pause
      - Add support for the LG Ally phone
      - Add dbus method to clear the play queue
      - Allow to clear the play queue while in Populate mode
      - Add back podcast browser
      - Add a new 'Recently Played' default smart playlist
      - Remember sources' column configuration
      - Blank track editor spin buttons when 0
      - Remove Home and Photo folder import sources
    + Notable Bugs Fixed (79 fixed since 1.9.0)
      - bgo#637202: Initialize the ipod each time we load
      - bgo#630209: Fix podcast flag for video podcasts
      - bgo#635780: Prevent GroupSources from being selected
      - bgo#540394: Don't overwrite existing files when ripping
      - bgo#635776: Ensure karma-sharp's DLLmap is copied in the build
      - bgo#634662: Make search entry in MeeGo panel correctly show query
      - bgo#634686: Fix streaming broken after first play
      - bgo#635426: Ensure track filter actions updated
      - bgo#635453: Fix regression with importing mkv
      - bgo#608778: 'Random by' skips user-selected artist/album
    + Additional Launchpad bugs fixed:
      - Stop adding a new "Show Banshee in Sound Menu" extension every time the
        extension is activated
  * [d50b927] Don't build the sound menu or u1ms extensions
  * [c881367] Enable the Mpris extension by default
  * [d7e9689] Cherry-pick upstream commit to fix issue with YOptions in
    SimpleTable

  [ Alex Launi ]
  * [7d1f43c] Add recommends on media-player-info (Closes: #607410)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 25 Dec 2010 13:07:06 +0800

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu6) natty; urgency=low

  * debian/rules, debian/control:
    - Drop support for Rio Karma devices, as libkarma is not yet
      ready to enter main.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 17 Dec 2010 09:33:48 -0500

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu5) natty; urgency=low

  * [e0db4ba] Disable the notification area and enable MPRIS by default

 -- Iain Lane <laney@ubuntu.com>  Fri, 26 Nov 2010 18:35:59 +0000

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu4) natty; urgency=low

  * debian/rules: Fix gettext domain (LP: #677173)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 25 Nov 2010 11:30:48 +0800

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu3) natty; urgency=low

  * debian/control:
    + Recommend banshee-extension-u1ms
    + Demote gst-plugins-bad from recommends to suggests

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 23 Nov 2010 04:27:24 +0800

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu2) natty; urgency=low

  * debian/patches/0001-Revert-ArtworkManager-Cache-null-artwork-for-fast-lo.patch:
    + Revert a recent performance related patch that caused artwork to not
      display at all

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 22 Nov 2010 05:11:45 +0800

banshee (1.9.0+git20101121.r1.b13266e-0ubuntu1) natty; urgency=low

  * New upstream snapshot: Drop binary dep on libmono-system-data*-cil
  * debian/patches/06_add-meego-desktop-file.patch: Refresh

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 21 Nov 2010 12:21:02 +0800

banshee (1.9.0-1ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/banshee-meego.install: Install netbook banshee.desktop to UNE
      location
    + Disable boo support
    + Recommend soundmenu extension

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 18 Nov 2010 02:31:18 +0800

banshee (1.9.0-1) experimental; urgency=low

  * New upstream release
    + New Features
      - Artist/Album Browser Track Actions
      - 'Play After' Queue Options
      - User Interface Improvements
    + Enhancements
      - Album grid has tooltips for ellipsized text
      - Subscribe to Internet Archive searches as podcasts
      - MusicBrainz cover art search supports CDBaby and Jamendo
      - Support Huawei Ideos Android phones
    + Notable Bugs Fixed (51 in total)
      - Remove unused Mono.Addins.Gui dependency
      - Fix checkbox hover prelight in Fixup
      - Always grab search entry focus on ctrl+f
      - [TrackEditor] Don't try to load metadata over HTTP
      - [AppleDevice] Add a matching 'StopSync' call.  We had an unmatched
        StartSync call which meant that the Sync dialog would be displayed
        forever.
      - bgo#587936: [AppleDevice] Sync the Sort- fields
      - bgo#631172: [AppleDevice] Fix podcast support
      - bgo#540503: Remove Jump... from context menu
      - bgo#540525: Stop when the playing track is deleted (LP: #366893)
      - bgo#545998: Sensitize and pluralize podcast actions appropriately
      - bgo#609463: Equalizer distortion
      - bgo#620010: Displaying random image for "All Albums"
      - bgo#623441: Duplicates on import due to character encoding
      - bgo#624734: Allow editing Radio stations again
      - bgo#629005: Full-screen on multi-head displays
      - bgo#629534: TaskStatusIcon missing-ctor crash
      - bgo#630039: Concatenated and untranslatable string
      - bgo#631277: Crash in when editing some tracks' metadata
      - bgo#631687: Non-local tracks added to DAP without extensions
      - bgo#631961: [Gio] Invalid cast exception
      - bgo#632114: Hang when replaying video
      - bgo#632246: Missing-ctor issue in SourceComboBox
      - bgo#632420: [Booter] Use the MeeGo client if appropriate
      - bgo#632715: [Bookmarks] UI not getting loaded
      - bgo#633579: Fixup not getting reloaded correctly
      - bgo#633764: [Dap] not transcoding some files when we should
      - bgo#633841: Recognize webm as video (LP: #669682)
      - bgo#634096: Empty track # in filename patterns
      - bnc#642505: Insecure LD_LIBRARY_PATH
  * debian/control:
    + Drop libmono-addins-gui-cil-dev from build-deps -- no longer needed
  * debian/patches/0001-DatabaseImportManager-Fix-duplicates-on-import-bgo-6.patch:
    + Dropped, applied upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 11 Nov 2010 22:45:14 +0800

banshee (1.8.0-2ubuntu1) natty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/banshee-meego.install: Install netbook banshee.desktop to UNE
      location
    + Disable boo support
    + Recommend soundmenu extension

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 22 Oct 2010 01:53:21 +0800

banshee (1.8.0-2) experimental; urgency=low

  * Fix duplicates on import (BGO #623441)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 21 Oct 2010 18:53:54 +0800

banshee (1.8.0-1) experimental; urgency=low

  * New upstream release
    + Adds playlist support to libgpod backend
    + Fixes hanging issue during beginning of playback (LP: #448533)
    + Fixes an issue where mass storage devices were not detected (LP: #646482)
    + Fixes an issue where iPods are not updated with the gpod backend
      (LP: #640090)
  * Bump libgpod-cil-dev dependency to 0.7.95
  * Import Ubuntu's upstreamable patches
  * Run intltool and mangle desktop file for Ubuntu
    upstream"

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 01 Oct 2010 02:41:41 +0800

banshee (1.7.6-0ubuntu1) maverick; urgency=low

  * New upstream release
    + Enhancements:
      - Decrease the latency in changing playback volume
      - Begin editing the name of newly added playlists
      - Put all videos in the video folder on MTP devices
    + Notable Bugs Fixed
      - bgo#629314: [AppleDevice] Correct capacity/free values
      - bgo#628992: [AppleDevice]Bundle libgpod-sharp.dll.config fixing crash
      - bgo#628832: [MTP] Fix MTP-device memory issues breaking Playlists, Albums
      - bgo#629095: [MTP] Fix MTP devices being named '???'
      - bgo#629373: [MTP] Workaround MTP sigsegv bug
  * Refresh patches

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 18 Sep 2010 03:05:25 +0800

banshee (1.7.5-1) UNRELEASED; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
    + New Features:
      - GIO/udev-based hardware backend
      - Apple Devices backend with support for iPod/iOS devices (LP: #554141)
      - MPRIS v2 support (Ubuntu Sound Menu, etc)
      - Audiobooks and Miro Guide extensions enabled by default
    + Enhancements/API Additions:
      - Play menu item in track context menu
      - Amazon affiliate codes for all supported countries
      - "Amazon MP3s" Music smart playlist
      - Miro Guide teaser in Podcasts
      - Zoom support in Amazon MP3 Store and Miro Guide
      - Now Playing simplify mode that declutters the UI
      - Play Queue shuffle action
      - Podcast errors shown to user
      - Better MTP device detection
      - Default smart playlists hidden when empty, for new users
      - New and improved user documentation
    + Notable Bugs Fixed
      - bgo#626786: Prevent crash in search-for-artist when blank
      - bgo#628388: Fix overflow bug with MTP playlists
      - bgo#625683: Fixup checkboxes now clickable
      - bgo#626928: Fetch podcast artwork asap
      - bgo#626791: Catch crashes caused by missing extensions
      - bgo#528383: Re-enable writing video metadata to file
      - bgo#626803, LP: #617017: Fix Ogg rating parsing in non-English locales
  * debian/(control, rules):
    + Update configure flags:
      - --disable-hal
      - --disable-ipod
      - --enable-appledevice
      - --enable-gio
      - --enable-gio-hardware
    + Add new build depends:
      - libgudev1.0-cil-dev
      - libgkeyfile-cil-dev
      - libgio2.0-cil-dev
      - libgtk-sharp-beans2.0-cil-dev
      - libgpod-cil-dev
    + Update version of libmtp-dev build-dep to 0.3.0
    + Drop hal, podsleuth and ipod-sharp dependencies
  * debian/patches:
    + 0001-Don-t-copy-duplicate-libraries.patch: Don't copy duplicate
      libraries
    + 0002-Also-copy-gio-sharp-s-debugging-libraries-if-they-ar.patch:
      Copy debugging libraries if they exist

  [ Iain Lane ]
  * Make sure mimeinfo.cache is removed
  * Fix casing of variable in patch, resolving missing dllmap issue
  * Ensure that gpod-sharp's DLLmap is copied

  [ Chow Loong Jin ]

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 18 Sep 2010 01:47:47 +0800

banshee (1.7.5-0ubuntu2) maverick; urgency=low

  * Fix casing of variable in patch, resolving missing dllmap issue
  * Ensure that gpod-sharp's DLLmap is copied

 -- Iain Lane <laney@ubuntu.com>  Wed, 08 Sep 2010 01:21:22 +0800

banshee (1.7.5-0ubuntu1) maverick; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
    + New Features:
      - GIO/udev-based hardware backend
      - Apple Devices backend with support for iPod/iOS devices (LP: #554141)
      - MPRIS v2 support (Ubuntu Sound Menu, etc)
      - Audiobooks and Miro Guide extensions enabled by default
    + Enhancements/API Additions:
      - Play menu item in track context menu
      - Amazon affiliate codes for all supported countries
      - "Amazon MP3s" Music smart playlist
      - Miro Guide teaser in Podcasts
      - Zoom support in Amazon MP3 Store and Miro Guide
      - Now Playing simplify mode that declutters the UI
      - Play Queue shuffle action
      - Podcast errors shown to user
      - Better MTP device detection
      - Default smart playlists hidden when empty, for new users
      - New and improved user documentation
    + Notable Bugs Fixed
      - bgo#626786: Prevent crash in search-for-artist when blank
      - bgo#628388: Fix overflow bug with MTP playlists
      - bgo#625683: Fixup checkboxes now clickable
      - bgo#626928: Fetch podcast artwork asap
      - bgo#626791: Catch crashes caused by missing extensions
      - bgo#528383: Re-enable writing video metadata to file
      - bgo#626803, LP: #617017: Fix Ogg rating parsing in non-English locales
  * debian/(control, rules):
    + Update configure flags:
      - --disable-hal
      - --disable-ipod
      - --enable-appledevice
      - --enable-gio
      - --enable-gio-hardware
    + Add new build depends:
      - libgudev1.0-cil-dev
      - libgkeyfile-cil-dev
      - libgio2.0-cil-dev
      - libgtk-sharp-beans2.0-cil-dev
      - libgpod-cil-dev
    + Update version of libmtp-dev build-dep to 0.3.0
    + Drop hal, podsleuth and ipod-sharp dependencies
  * debian/patches:
    + 0001-Don-t-copy-duplicate-libraries.patch: Don't copy duplicate
      libraries
    + 0002-Also-copy-gio-sharp-s-debugging-libraries-if-they-ar.patch:
      Copy debugging libraries if they exist

  [ Iain Lane ]
  * Upload to Ubuntu from Debian git, as the dependencies are not all
    ready in Debian.
  * [fe5e8fb] Refresh and update patches to apply cleanly
  * [a688fa9] Disable Boo support and remove build dependency
  * [df01b1e] Generate translation template and set gettext domain in
    the Ubuntu build
  * [9c3402b] Make sure mimeinfo.cache is removed
  * [d54fedc] Update changelog version for Ubuntu

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Sep 2010 20:05:45 +0100

banshee (1.7.4-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental, remaining changes:
    + debian/patches:
      - 01_Debranch-netbook-interface.patch: Debrand the netbook interface
      - 02_only-show-netbook-panel-on-request.patch: Only show netbook
        interface on --client=Meego and start traditional interface
        otherwise
      - 03_quit-only-on-explicit-shutdown-request.patch: Quit on explicit
        shutdown request only
      - 04_enable-switching-between-the-2-interfaces.patch: Enable
        switching between netbook and traditional interfaces.
      - 05_show-a-empty-library-message-in-banshee.patch: Show empty hint
        when starting for the first time with an empty library.
      - 06_add-meego-desktop-file.patch: Add desktop file to start netbook interface
      - 07_enable-library-watch-by-default.patch: Enable Library Watcher by default
      - 08_remove_unrelevant_media.patch: Don't show "media" in netbook
        interface as this is irrelevant on non-Meego interfaces
    + debian/banshee-meego.install: Install desktop file for Banshee netbook interface
  * Ubuntu-specific changes from previous merge:
    + Refresh patches:
      - 04_enable-switching-between-the-2-interfaces.patch
      - 06_add-meego-desktop-file.patch

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 13 Aug 2010 00:37:19 +0800

banshee (1.7.4-1) experimental; urgency=low

  * New upstream release
    + New Features:
      - User manual available via Help » Contents menu and F1
    + Enhancements/API Additions:
      - Duplicate Genre solver in Metadata Fixup extension
      - Support for Amazon MP3 purchases containing PDFs and videos
      - Improved Metadata Fixup support for non-English languages
    + Bugs Fixed:
      - Fix notification icon transparency (LP: #403135)
      - Fix glitchy search entry
      - Better handling of non-US Amazon stores
      - Fix scrolling Extensions list with keyboard
      - Fix .amz mime file conflict with official downloader (LP: #609750)
      - Fix issue that could block song scrobbling
      - Fix subscribing to certain podcasts (eg podbean.com)
      - Fix URIs of tracks synced to iPods
      - Fix a pipeline deadlock evident on MeeGo
  * debian/patches:
    + Drop 01_fix-icon-transparency.patch
    + Drop 02_fix-configure.patch
  * debian/control:
    + No change Standards-Version bump from 3.9.0 to 3.9.1
    + Add Breaks: banshee-extensions-common (<< 1.6.1-2.) due to ABI break
  * debian/(banshee-meego.install, rules):
    + Change meego paths to match upstream
  * debian/rules:
    + Drop everything but packages/ in /usr/share/mime (Thanks Loic Minier)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 13 Aug 2010 00:30:24 +0800

banshee (1.7.3-2ubuntu2) maverick; urgency=low

  * banshee shipped a generated MIME database (/usr/share/mime/*) breaking the
    system one.  Change debian/rules to delete everything below
    debian/tmp/usr/share/mime/ except "packages" before dh_install.
  * Minor syntax tweaks to rules.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 05 Aug 2010 00:49:55 -0400

banshee (1.7.3-2ubuntu1) maverick; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + debian/patches:
      - 01_Debranch-netbook-interface.patch: Debrand the netbook interface
      - 02_only-show-netbook-panel-on-request.patch: Only show netbook
        interface on --client=Meego and start traditional interface
        otherwise
      - 03_quit-only-on-explicit-shutdown-request.patch: Quit on explicit
        shutdown request only
      - 04_enable-switching-between-the-2-interfaces.patch: Enable
        switching between netbook and traditional interfaces.
      - 05_show-a-empty-library-message-in-banshee.patch: Show empty hint
        when starting for the first time with an empty library.
      - 06_add-meego-desktop-file.patch: Add desktop file to start netbook interface
      - 07_enable-library-watch-by-default.patch: Enable Library Watcher by default
      - 08_remove_unrelevant_media.patch: Don't show "media" in netbook
        interface as this is irrelevant on non-Meego interfaces
    + debian/banshee-meego.install: Install desktop file for Banshee netbook interface

 -- Chow Loong Jin <hyperair@ubuntu.com>  Mon, 26 Jul 2010 00:32:41 +0800

banshee (1.7.3-2) experimental; urgency=low

  * debian/control: Add libsoup{,-gnome}2.4-dev build-deps which were
    forgotten in the previous release

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 24 Jul 2010 04:44:30 +0800

banshee (1.7.3-1ubuntu1) maverick; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + debian/patches:
      - 01_Debranch-netbook-interface.patch: Debrand the netbook interface
      - 02_only-show-netbook-panel-on-request.patch: Only show netbook
        interface on --client=Meego and start traditional interface
        otherwise
      - 03_quit-only-on-explicit-shutdown-request.patch: Quit on explicit
        shutdown request only
      - 04_enable-switching-between-the-2-interfaces.patch: Enable
        switching between netbook and traditional interfaces.
      - 05_show-a-empty-library-message-in-banshee.patch: Show empty hint
        when starting for the first time with an empty library.
      - 06_add-meego-desktop-file.patch: Add desktop file to start netbook interface
      - 07_enable-library-watch-by-default.patch: Enable Library Watcher by default
      - 08_remove_unrelevant_media.patch: Don't show "media" in netbook
        interface as this is irrelevant on non-Meego interfaces
    + debian/banshee-meego.install: Install desktop file for Banshee netbook interface

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 23 Jul 2010 19:16:11 +0800

banshee (1.7.3-1) experimental; urgency=low

  * New upstream release:
    + New Features Since 1.7.2:
      - Amazon MP3 Store Source, supporting US, UK, FR, DE, and JP
        storefronts. Supports browsing, searching, previewing, buying, and
        downloading music from Amazon MP3 stores.
      - Support for downloading and importing Amazon MP3 purchases (.amz files)
        See http://abock.org/2010/07/08/amazon-mp3-downloader-support-in-banshee
      - New Miro Guide Podcast Directory extension integrating with
        miroguide.com. Seamlessly stream and subscribe to podcasts in
        the guide.
      - New extension for bulk metadata fixing to merge artists and albums
        that vary only by case, '&' vs 'and', etc.
    + Enhancements/API Additions:
      - Add visual separators in the source view between categories of sources
      - Culturally format the status bar item count (e.g. in en_US 1,000
        instead of the old 1000)
      - Improve the downloading and visual refreshing of new cover art
      - Tweak the grid view album artwork hover effect
      - New Banshee.WebBrowser API for creating embedded WebKit web browsers
        and sources: used by the new Amazon MP3 store, Miro Guide, and the
        Wikipedia context pane
      - New Hyena.Downloader API for performing downloads and easy
        HTTP operations: HttpFileDownloader, HttpStringDownloader
      - Drop dependency of webkit-sharp, take dependency directly on
        libwebkit 1.2.2+ for new Banshee.WebBrowser API
    + Notable Bugs Fixed (9 fixed since 1.7.2):
      - Fix cover art refreshing
      - Fix a slow running query to speed things up
      - Fix importing of compilation albums
      - Fix loading of libbnpx11.so on some distros
      - Wrap instead of elipsize Last.fm titles
      - Escape %20 in filenames for items without embedded metadata (LP: #602201)
      - Escape Uri value in SQL query
  * debian/control:
    + No-change Standards-Version bump from 3.8.4 to 3.9.0
    + Update build-deps:
      - Drop libwebkit-cil-dev
      - Add libwebkit-dev
      - Add libsoup2.4-dev
      - Add libsoup-gnome2.4-dev
  * debian/rules:
    + Update list of configure flags:
      - Drop --enable-scrollkeeper
      - Drop --enable-webkit
  * debian/patches:
    + 02_fix-configure.patch: Fix configure failure with --enable-user-docs

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 22 Jul 2010 19:07:31 +0800

banshee (1.7.2-1ubuntu3) maverick; urgency=low

  * debian/patches/06_add-meego-desktop-file.patch,
    debian/banshee-meego.install:
    - desktop file is now called banshee-1 and installed
    in usr/share/une/applications/ to show the une desktop file in UNE
    session only

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Jul 2010 12:23:28 +0200

banshee (1.7.2-1ubuntu2) maverick; urgency=low

  * add debian/patches/08_remove_unrelevant_media.patch:
    Don't show "media" in netbook interface as this is unrelevant on non
    meego interface (LP: #602759)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Jul 2010 18:39:36 +0200

banshee (1.7.2-1ubuntu1) maverick; urgency=low

  * Merge from Debian Experimental, remaining changes:
    + debian/patches:
      - 01_Debranch-netbook-interface.patch: Debrand the netbook interface
      - 02_only-show-netbook-panel-on-request.patch: Only show netbook
        interface on --client=Meego and start traditional interface
        otherwise
      - 03_quit-only-on-explicit-shutdown-request.patch: Quit on explicit
        shutdown request only
      - 04_enable-switching-between-the-2-interfaces.patch: Enable
        switching between netbook and traditional interfaces.
      - 05_show-a-empty-library-message-in-banshee.patch: Show empty hint
        when starting for the first time with an empty library.
      - 06_add-meego-desktop-file.patch: Add desktop file to start netbook interface
      - 07_enable-library-watch-by-default.patch: Enable Library Watcher by default
    + debian/banshee-meego.install: Install desktop file for Banshee netbook interface

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 07 Jul 2010 15:54:29 +0800

banshee (1.7.2-1) experimental; urgency=low

  [ Iain Lane ]
  * debian/(rules, banshee-meego.install):
    + Move missed desktop moblin panel .desktop file to banshee-meego package.
    + Be more explicit about the files which shouldn't be duplicated in the
      banshee binary package.

  [ Chow Loong Jin ]
  * New upstream release:
    + New Features:
      - Mallard-based documentation
      - Brand new ready to hack on Gst#-based backend
    + Enhancements:
      - Overhaul GNOME proxy support (LP: #545879)
      - Make GIO optional with --disable-gio configure switch
      - Use new YouTube icon in context buttons
      - Wrap long strings in the Now Playing view
      - Xperia X10 support
      - Refresh podcast feeds when network is reconnected
      - Add metadata-saving support for File System Queue (bgo#609411)
    + Notable Bugs Fixed
      - Allow building without gnome-doc-utils
      - Fix various volume-related issues
      - Fix Play Queue when using it with different locales (bgo#621480)
      - Fix the Internet Archive playback (bgo#621687)
      - Correct Play Queue track reordering (bgo#613333)
      - Fix SourceSwitcher crasher (bgo#618117)
  * debian/(control, watch):
    + Update Banshee URL
  * debian/patches/01_fix-icon-transparency.patch:
    + Add patch to fix notification area icon transparency with Banshee
      (LP: #403135)
  * debian/(rules, banshee-meego.install):
    + Move org.moblin.*.service D-Bus service files to banshee-meego package
  * debian/rules:
    + Add more flags to counter Banshee's automagic to avoid unpleasant surprises:
      - --disable-gst-sharp
      - --enable-user-help
      - --enable-scrollkeeper
      - --enable-gio
  * debian/control:
    + Add gnome-doc-utils build-dependency for user documentation
  * debian/copyright:
    + Add license information for user help documentation
    + Drop old license information for taglib-sharp and dbus-sharp which
      are not bundled any more

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 02 Jul 2010 02:21:03 +0800

banshee (1.7.1-1ubuntu1) maverick; urgency=low

  * Enhance netbook interface:
    - debian/patches/01_Debranch-netbook-interface.patch
      debrand the netbook interface to "Netbook"
    - debian/patches/02_only-show-netbook-panel-on-request.patch:
      only show netbook inteface on --client=Meego and start traditional
      interface otherwise
    - debian/patches/03_quit-only-on-explicit-shutdown-request.patch:
      quit on explicit shutdown request only
    - debian/patches/04_enable-switching-between-the-2-interfaces.patch:
      switch back and forth beetween the 2 interfaces, even if traditional
      interface started. Also, have only one interface shown at a time
    - debian/patches/05_show-a-empty-library-message-in-banshee.patch:
      show an empty hint when starting the first time and having no library
      imported (Bertrand Lorentz and Alex Launi)
    - debian/patches/06_add-meego-desktop-file.patch:
      add desktop file to start the netbook interface
  * debian/patches/07_enable-library-watch-by-default.patch:
    enable library watcher
  * debian/banshee-meego.install: install the new deskop file

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 05 Jul 2010 15:19:53 +0200

banshee (1.7.1-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * New upstream release:
    + New Features Since 1.7.0:
      - Improvements for Audiobooks support
        Audiobooks tracks are now organized in books, which can be merged
        together. The last position in each book is automatically saved, so
        you can resume playing a book right from where you stopped.
    + Enhancements:
      - New preference to have the classic album layout instead of the grid view
      - Last.fm streaming can be disabled separately from the other Last.fm
        features.
      - Support for reading and writing MusicBrainz IDs
      - Show the TrackEditor fields as read-only mode when they are not editable
    + Notable Bugs Fixed
      - Fix Youtube playback
      - Fix deletion of Podcast metadata during modification
      - Fix a crash related to the notification deamon
      - Fix fetching cover for albums with several discs
      - Several fixes for the N800 device
  * debian/rules:
    + Enable Moblin integration (--enable-meego)

  [ Iain Lane ]
  * debian/(control, rules, banshee-meego.install):
    + Add new package banshee-meego containing the Moblin integration.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 27 May 2010 18:14:20 +0800

banshee (1.7.0-1) experimental; urgency=low

  * New upstream release:
    + New features:
      - Add Keybinding for Switching Sources
        Typing 'g' activates the source switcher, where you can type the name
        of a source to switch to it.  You can type its acronym or a substring
        as well. As soon as only one source matches, it will be activated.
        For example, you can type 'g' and then 'np' to switch to Now Playing.
      - Connect to Remote DAAP Servers by entering IP address
    + Enhancements:
      - Improved Last.fm authentication experience
      - Improved Maemo device support
      - DBus API additions for showing various dialogs
      - DEXT/CLIQ and Galaxy Portal device support
      - Many MeeGo specific improvements and fixes

    + Notable Bugs Fixed (41 fixed since 1.6.0):
      - Fix for fullscreen video under Mutter
      - Fix videos playing back in a new window
      - Fix crashes related to Gtk.Widget subclassing
      - Fix crashes related to a11y
      - NotificationArea fixes
      - Cover art aspect ratio/scaling fixes
   * debian/(control, source/format, rules):
     + Drop quilt and switch to 3.0 (quilt) format
   * debian/rules:
     + Add some new compile flags (in-development features):
       - --disable-moonlight
       - --disable-torrent
       - --disable-meego

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 07 May 2010 23:27:08 +0800

banshee (1.6.1-1) unstable; urgency=low

  * New bugfix upstream release:
    + Enhancements:
      - More devices supported: Android: Galaxy Portal, DEXT/CLIQ
      - Automatically scan Music and Video libraries on first start
      - Improve search responsiveness on large libraries
      - Add AlbumArtist to the search menu (bgo#615692)
      - Improved Last.fm authentication experience
      - Many enhancements to MeeGo support
    + Notable Bugs Fixed (since 1.6.0):
      - Fix ListView a11y crash
      - Fix Podcasts ListView right-click crash
      - [TrackActions] Fix collection-modified crash
      - [ColumnCellAlbum] Fix invalid cast crash
      - Fix several custom-widget related crashes
      - [Dap.Ipod] Fix a race condition
      - [gapless] Fix rating resets (bgo#614863)
      - [UserJobTile] Don't crash if icons are missing (bgo#615778)
      - [BansheeQuery] Fix mime-type queries (bgo#601920)
      - [MaemoDevice] Ignore the .videos directory (bgo#614825)
      - [MaemoDevice] Set 'Music' and 'Video' as the default folders
      - [MusicBrainzQueryJob] Escape album/artist (bgo#614569)
      - 40 bugs fixed since 1.6.0
  * debian/source/format, debian/control, debian/rules:
    + Move to 3.0 (quilt) format

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 20 May 2010 00:43:45 +0800

banshee (1.6.0-1) unstable; urgency=low

  * New upstream release:
    + Notable bug fixes:
      - Fix device support on upcoming distros with DeviceKit rename
      - Restore equalizer preset correctly (bgo#614313)
      - Handle broken symlinks correctly (bgo#614065)
      - Allow overriding Android, Maemo, WebOS default settings (bgo#611991)
      - Fix crash deleting playlist on mass storage device (bgo#613734)
      - Fix issue with iTunes importer dialog sizing (bgo#613607)
      - Fix play count calculation with gapless enabled (bgo#613418)
      - Handle exceptions thrown by old plugins (LP: #546342)
      - Use panel-specific (eg monochrome) icon in notification area
        (LP: #525280)
    + Other bugs fixed:
      - Start HAL automatically if not already started (LP: #543354)
      - Fix bug where new podcasts could not be added (Closes: #575734)
  * debian/(control, rules):
    + Disable the clutter video sink
      - Uses deprecated functions, and will fail to build with a newer version
        clutter (1.2.X which is available in experimental)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 02 Apr 2010 03:12:16 +0800

banshee (1.5.6-1) unstable; urgency=low

  * New upstream release:
    + Notable bug fixes:
      - Fix rendering and interaction bugs in the grid view
      - Fix issue with volume getting reset on every song change
      - Handle volume changes from outside Banshee (eg PulseAudio)
      - Fix issue parsing some RSS feeds
      - Fix library importing and rescanning on all IO backends
      - Support coverart for albums without an artist (bgo#612626)
      - Don't capture 's' presses if keybindings disabled
      - Fix typing in the Wikipedia webkit view
      - Fix equalizer settings migration (bgo#612669)
      - Redraw the entire ListView when dragging columns
      - Increase podcast download timeout
      - Fix bad startup crash in PlayQueue on old Mono
      - Fix "Too many open files" bug with GIO backend
      - [Banshee.Hardware] Handle exceptions (bgo#613173)
      - [PodcastActions] Unsubscribe from an event on dispose
      - [ContextPane] Fix crash if active removed (bgo#613277)
      - [LastfmSource] Fix crash (bgo#612824)
      - [Lastfm] Fix crash using auth Refresh button (bgo#610911)
      - [Lastfm] Fix crash (bgo#613276)
      - Fix compilation error with older Mono
      - Fix compilation error with bundled notify-sharp
      - Fix --disable-youtube flag
      - Set YouTube install dir to Extensions/
      - Fix building with older GStreamer (bgo#613339)
  * debian/rules:
    + --enable-gdata => --enable-youtube
  * debian/control:
    + Bump taglib-sharp requirement to 2.0.3.7 as per build/m4/banshee/taglib.m4

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 21 Mar 2010 21:22:57 +0800

banshee (1.5.5-1) unstable; urgency=low

  * New upstream release
    + New Features:
      - Gapless Playback / Playbin2 (LP: #45518, #377354)
      - Grid View
      - YouTube Extension
    + Enhancements:
      - Improve search responsiveness on large libraries (LP: #474514)
      - Add icons for Nexus One and Audiobooks (LP: #532182)
      - Play Queue item count, size, duration now ignores old tracks
      - Muinshee fixes: disable Auto-DJ, allow reordering, hide previous song
    + Notable bug fixes:
      - Fix a very common, SQL-related crash in 1.5.4 (Closes: #572136)
      - Fix saving equalizer settings in culture-invariant way
      - Jumping to a source's prefs via its context menu works again
      - Usage data not submitted more than every 48 hours
      - Fix repeatedly resyncing some files to a device b/c transcoded
      - Clear the redo stack on shuffle mode change
      - Accept feeds with empty title (LP: #468323)
      - Uri encode file location queries, making them work properly
  * debian/control:
    + Bump gst-plugins-base-dev version for gapless playback
    + Add libgdata-cil-dev for youtube extenesion
  * debian/rules:
    + Add --enable-gapless-playback and --enable-gdata

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 12 Mar 2010 03:13:23 +0800

banshee (1.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #571734)
    + New features:
      - Opt-In Usage Data Collection
      - Default Equalizer Presets
      - Extensible Shuffle Modes
    + Enhancements:
      - Wikipedia context pane extension enabled by default
      - Add support for Nokia N900 phones
      - Add tooltip to playback error column
      - On close Internet Archive item, return to Search
      - Notify user if trying to sync missing file to DAP
      - Popup explanation of manual playlist ordering when appropriate
      - Simplify the default set of columns in Podcasts
      - Enable 'Delete From Drive' action in File System Queue
      - Coverart for unicode artist/albums now supported
      - Dropped glade-sharp dep; GNOME 3.0 ready
      - Add columns showing track sample rate and bits per sample
      - Option to sort an artist's albums by year, not title
      - If starting Banshee hidden (--hide), up to half a second of
        startup time is saved
    + Notable bug fixes:
      - Enable LibraryWatcher only for Music and Video libraries
      - Do better job preserving IsCompilation metadata
      - Store some PlayQueue settings in the db (not GConf)
      - Update to Last.fm's API change for scrobbling/recs
      - Bring back static FileNamePattern API used by some scripts
      - Fix several memory leaks
    + Other bugs fixed:
      - Fix segfault with Cairo when playing a song without album art (LP: #523913)
      - Follow symlinks when scanning the library (LP: #406667)
      - Fix issue importing mp3s with non-ASCII ID3 tags (LP: #364562)
  * debian/control:
    + Bump libtaglib-cil-dev version requirement to 2.0.3.5
    + Drop libglade2.0-cil-dev and libgnome2.0-cil-dev build-dep
    + Add libwebkit-cil-dev to build-deps
  * debian/rules:
    + Reorder configure flags to match upstream's ./configure --help listing
    + Add --enable-webkit since it is now enabled by default
  * debian/patches/01_monodoc-fix-enable.patch,
    debian/patches/series:
    + Dropped, applied upstream

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 28 Feb 2010 01:14:01 +0800

banshee (1.5.3-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * New upstream release
    + New features:
      - Sync device from playlist option
      - Type-ahead find in track, artist, and album lists
      - Optional cover art in lower-left corner
      - Editable cover art via drag-and-drop and right-click
      - Audiobooks library extension
      - Library-folder watcher extension
      - eMusic importer/downloader extension
    + Enhancements:
      - Improved Podcast filtering/browsing
      - Extension preferences tab reworked
      - Extension names/descriptions translated
      - Improved sqlite performance
      - Added --set-rating=RATING command line option
      - Support for Nexus One devices
    + Bug-fixes:
      - DAPs now works with DeviceKit (LP: #382941)
      - Fix issue with DAAP authenticating (LP: #308233)
      - Podcast renaming should work well now
      - Podcast download cancelling is now fast
      - Internet Archive results paging off-by-one fixed
      - Fix for MTP devices on 64-bit distros
      - Fix import error for files with '\0' characters (LP: #499698)
      - Support syncing playlists to iPods (LP: #75571)
      - Fix syncing podcasts to iPods (LP: #140489)
  * debian/control:
    + Bump mono-devel version to 2.4.3 for LibraryWatcher
    + Re-enable libkarma-cil, use libkarma-cil-dev
    + Bump mono-addins version to 0.3.1
    + Bump libgstreamer0.10-dev version to 0.10.12
  * debian/rules:
    + Add configure flags for explicitly enabling all wanted
      features, countering Banshee's automagic silently disabling features
  * debian/patches/01_devkit-fix.patch:
    + Dropped, applied upstream
  * debian/patches/:
    + 01_monodoc-fix-enable.patch: Fix usage of AC_ARG_ENABLE for --enable-docs

  [ Jo Shields ]
  * debian/control:
    + Drop individual library build-deps as all mono libs are pulled in at
      build time
    + Bump Standards version to 3.8.4 (no changes needed)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 28 Jan 2010 23:52:53 +0800

banshee (1.5.2-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * New upstream release (Closes: #558611)
    + New Features:
      - The Internet Archive extension
      - The iTunes importer
      - Metadata ratings and playcount import and export
      - Add support for Pulse and Droid phones (LP: #501515)
      - Use new Last.fm API (Closes: #548029, LP: #415937)

    + Enhancements:
      - Many accessibility enhancements
      - When sorting by score also sort by playcount (bgo#598431)
      - Add WICD support (bgo#596918)
      - Add the USB id for the Palm Pre in developer mode
      - Improve the import media dialog (bgo#559013)
      - Allow seeking in DAAP streams
      - Tooltip for the AutoDJ source combobox (bgo#598504)
      - Improve recognition of Android devices
      - Recognize Samsung Galaxy device in debug mode
      - PlaybackError query field (bgo#590946)
      - Additional tokens for file system organization (bgo#489861)
      - Remember direction when sorting the list view (bgo#590869)
      - Cleaner track change notification popup (LP: #445965)
      - Move Last.fm settings to the preferences dialog
      - Double click toggles fullscreen in Now Playing (bgo#577971)

    + Notable bug fixes:
      - Fix the playcount update (LP: #388360)
      - Correct default button in message dialogs (bgo#599495)
      - Hide shuffle menu when shuffling is disabled (bgo#599465)
      - Fix bug with AutoDJ updating LastPlayed erroneously (bgo#594701)
      - Fix next playback source (bgo#599834)
      - Fix adding tracks to the play queue (LP: #469134)
      - Fix up iPod podcast support (bgo#434237)
      - Fix cover art pick up for multi-disc albums (bgo#591982)
      - Fix the play queue when StopWhenFinished is on (bgo#563021)
      - Fix race when saving track metadata (bgo#598321)

    + Other bug fixes:
      - Fix System.DivideByZeroException when rescanning (LP: #452366)

  * debian/control:
    + Bump libipod{,ui}-cil dependency versions to 0.8.5
    + Build depend on -cil-dev packages instead of -cil
    + Add libmono-addins-cil-dev to Build Dep
    + Build depend on libboo-cil-dev instead of just boo
  * debian/patches/01_fix-ipod-sharp-ftbfs:
    + Dropped, applied upstream
  * debian/patches/01_devkit-fix.patch:
    + Backport fix from upstream for DAP support with Devkit

  [ Jo Shields ]
  * debian/control:
    + Disable Rio Karma support for now; it's broken due to bug #551049
  * debian/monodoc-banshee-manual.postinst:
    + Delete - we use DPKG triggers to handle manual installs now

 -- Chow Loong Jin <hyperair@ubuntu.com>  Thu, 21 Jan 2010 13:19:04 +0800

banshee (1.5.1-1) unstable; urgency=low

  * New upstream release
    + New Features:
      - Play Queue Auto DJ keeps the tunes coming
      - Shuffle by album and artist
      - Shuffle by weighted rating and score mode
      - Add tooltips for ellipsized ListView text
      - Keep the playing song visible in the track list
      - Add support for WebOS devices
      - Add support for the Samsung Galaxy Android Phone

    + Enhancements:
      - When user picks new sort column, default to sort ascending
      - Drop the " Library" suffix on the Music and Video sources
      - Add thin highlight to ListView selection for 3D effect
      - Keyboard shortcut (ESC) to clear the search box
      - Expose LAME's "preset" option
      - Added a --gconf-base-key for running sandboxed
      - Trim URL pasted from clipboard to podcast dialog
      - Allow selection of multiple folders on import
      - Support playlists on Android G1 devices
      - Better support for devices running Rockbox
      - Set video sync folder for Android and WebOS devices
      - Made the error message label selectable
      - Save and load the Gtk.AccelMap
      - Added taglib/oga mimetype to the vorbis audio profile
      - Auto-completion for composer, conductor, grouping and copyright
      - Added the 'comment' search filter
      - Selectable song properties
      - Show a tooltip in track editor when the property is truncated

    + Notable bug fixes:
      - Fix blank MimeTypes for tracks ripped before 1.4
      - Fix a Bit Rate column sizing glitch
      - Fix browser positioning when Banshee is maximised
      - Fix compilation metadata reading and writing
      - Work with new notification-daemon
      - Avoid needlessly syncing iPods twice
      - Deterministically sort sources to avoid fluttering
      - Look for Rhythmbox db at both new and old paths
      - Fix bug with scrobbling after skipping a track
      - Fix crash in equalizer
      - Fix an exception on startup when DBus is disabled
      - Fix off-by-one-day date querying bug
      - Fix a UI/spacing glitch in the Smart Playlist Editor
      - Don't hide the track info popup while it has focus
      - Prevent endless "Searching for CD metadata..."
      - Fix Last.fm now-playing for non-decimal track lengths
      - Dispose the SqliteCommand after it's executed
      - Fix notification area popup positioning on multi-monitor systems
      - Fix the playing indicator when song in list more than once
      - Fix crash when opening the profile conf dialog
      - Fix crash stopping jobs on shutdown
      - Fix notification area popup flashing
      - Trim filename dots and spaces to be NTFS compliant
      - Stop playing from audio CD when it's ejected
      - Don't update DateUpdated stamp when transient fields change
      - Fix DAP content page title not changing when device renamed
      - Set the Podcast flag on import based on genre
      - Fix hang when slider dragged to track change .
      - Prevent slider jumping around after seeking in stream
      - Fix Last.fm logos on dark themes
      - --query-X option sometimes returned an error
      - Build and runtime fixes for FreeBSD
      - Fix editor always prompting to save podcasts
      - Fix rounding when updating the track score
      - Fix initial track score calculation
      - Fix playback buttons' a11y
      - Fix crasher on PPC

  [ Chow Loong Jin ]
  * debian/control, debian/changelog:
    + Use mono-csc instead of csc for MCS.
    + Bump mono-devel version to 2.4.2 for mono-csc
    + No change bump of Standards-Version to 3.8.3
  * debian/patches/01_fix-ipod-sharp-ftbfs:
    + Fix FTBFS when ipod-sharp's debug files are missing (Closes: #549725)
  * debian/README.source:
    + Copied from quilt

  [ Iain Lane ]
  * debian/patches/01_dispose-sqlite-cmd.patch, 02_system-equalizer.patch,
    03_muinshee-booter.patch: Drop, applied upstream.
  * debian/patches/99_ltmain_as_needed.patch: Refresh
  * debian/rules: Disable Banshee's builtin equalizer - gstreamer's one is now
    good enough for us to use.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 14 Oct 2009 19:21:51 +0800

banshee (1.5.0-3) experimental; urgency=low

  * debian/patches/03_muinshee-booter.patch,
    debian/banshee.links,
    debian/banshee.1:
    + Patch banshee booter script to autodetect whether to use Banshee or
      Muinshee interface based on the file name
    + Make /usr/bin/muinshee a symlink of /usr/bin/banshee-1
    + Update banshee.1 manpage and link it to muinshee.1

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sun, 19 Jul 2009 00:22:34 +0800

banshee (1.5.0-2) experimental; urgency=low

  * debian/control:
    + Replace gstreamer0.10-plugins-ffmpeg with gstreamer0.10-ffmpeg
    + Change of my email address
    + Bump Standards-Version to 3.8.2
  * debian/rules:
    + Drop dh_installchangelogs override. We don't want ChangeLog installed
      any more.
  * debian/banshee.links:
    + Updated to symlink the banshee manpage to banshee-1
  * debian/patches/01_dispose-sqlite-cmd.patch:
    + Fix for BGO #586498, where Banshee leaks memory while rescanning library
  * debian/patches/01_remove-bash-dep.patch:
    + Delete it for good

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 08 Jul 2009 22:10:27 +0800

banshee (1.5.0-1) experimental; urgency=low

  [ Chow Loong Jin ]
  * New Upstream Version
  * debian/control:
    + Fix grammatical error "an media" to "a media"
    + Set quilt's version to 0.46-7~ instead of 0.46-7 for backportability
    + Replace gstreamer0.10-plugins-ffmpeg with gstreamer0.10-ffmpeg
    + Change of my email address
    + Bump Standards-Version to 3.8.2
    + Drop unnecessary build dependencies
  * debian/watch:
    + Updated to include changes in directory structure
  * debian/patches:
    + 02_system_equalizer.patch: drop a hunk, it'll work without it anyway
    + 03_fix-lastfm.patch: dropped, applied upstream
    + 20_check_notification_support.patch: dropped, applied upstream

  [ Iain Lane ]
  * debian/banshee.{1,manpages} Add manpage. This was initially generated by
    help2man from `banshee --help-all' and then edited a bit to be more
    readable and standard. (Closes: #384557)

  [ Iulian Udrea ]
  * debian/compat:
    - Bump to 7.

  [ Sebastian Dröge ]
  * debian/control:
    + Update/remove some build dependencies for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 Jun 2009 20:01:25 +0200

banshee (1.4.3-6) unstable; urgency=low

  [ Chow Loong Jin ]
  * debian/control:
    + Fix grammatical error "an media" to "a media"
    + Set quilt's version to 0.46-7~ instead of 0.46-7 for backportability
    + Replace gstreamer0.10-plugins-ffmpeg with gstreamer0.10-ffmpeg
    + Change of my email address
    + Bump Standards-Version to 3.8.2
    + Drop unnecessary build dependencies
  * debian/watch:
    + Updated to include changes in directory structure
  * debian/banshee.links:
    + Updated to symlink the banshee manpage to banshee-1
    + Make /usr/bin/muinshee a symlink to /usr/bin/banshee-1
    + Make muinshee.1 manpage a symlink to banshee.1
  * debian/banshee.1:
    + Update to show muinshee as well
  * debian/patches/03_muinshee-booter.patch:
    + Patch banshee booter script to autodetect whether to use Banshee or
      Muinshee interface based on file name

  [ Iain Lane ]
  * debian/banshee.{1,manpages} Add manpage. This was initially generated by
    help2man from `banshee --help-all' and then edited a bit to be more
    readable and standard. (Closes: #384557)

  [ Iulian Udrea ]
  * debian/compat:
    - Bump to 7.

 -- Chow Loong Jin <hyperair@ubuntu.com>  Wed, 24 Jun 2009 01:57:02 +0800

banshee (1.4.3-5) unstable; urgency=low

  * debian/control,
    debian/rules,
    debian/patches/series:
    + Change order of gstreamer0.10-audiosink | gstreamer0.10-alsa
    + Transition to dh7
    + Use Quilt
    + Add banshee-dbg package containing debug symbols
    + Change Maintainer to pkg-cli-apps
  * debian/patches/02_system-equalizer.patch,
    debian/patches/99_ltmain_as-needed.patch:
    + Prepend all paths with a/ to convert to p1 patch for Quilt

 -- Chow Loong Jin <hyperair@gmail.com>  Mon, 25 May 2009 20:02:35 +0800

banshee (1.4.3-4) unstable; urgency=low

  * debian/control:
    + Changed Vcs-* to git addresses
    + Drop gstreamer0.10-gnomevfs dependency
    + Add gstreamer0.10-audiosink dependency
    + Move gst-plugins-ugly and gst-ffmpeg from Recommends to Suggests
    + GNOME# 2.24 transition
    + Bump Standards-Version

 -- Chow Loong Jin <hyperair@gmail.com>  Thu, 16 Apr 2009 18:26:25 +0800

banshee (1.4.3-3) unstable; urgency=low

  * debian/control:
    + Add me to Uploaders
  * debian/patches/03_fix-lastfm.patch:
    + Fix issue where Last.fm personal stations are not loaded
  * debian/patches/debian/patches/20_check_notification_support.patch:
    + Check whether notification daemon supports actions

 -- Chow Loong Jin <hyperair@gmail.com>  Fri, 13 Mar 2009 19:00:02 +0800

banshee (1.4.3-2) unstable; urgency=low

  * debian/control:
    + Build depend on libtaglib2.0-cil >= 2.0.3.2 (Closes: #518755).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Mar 2009 11:40:28 +0100

banshee (1.4.3-1) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Add Vcs-* fields

  [ Sebastian Dröge ]
  * New upstream release.
  * Upload to unstable (Closes: #518419).
  * debian/control:
    + Use Gnome# 2.20 for now.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Mar 2009 10:43:28 +0100

banshee (1.4.2-2) experimental; urgency=low

  * debian/control:
    + Build depend on Gnome# 2.24 and GnomeDestkop# 2.24.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Jan 2009 21:33:21 +0100

banshee (1.4.2-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/rules,
      debian/control:
      - Set the vendor ID to the output of lsb_release -sd.
  * debian/control,
    debian/rules:
    + Update for the mono 2.0 transition.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Jan 2009 16:29:56 +0100

banshee (1.4.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2008 19:25:44 +0100

banshee (1.4.0.1-1) experimental; urgency=low

  * New upstream stable release:
    + debian/patches/01_dllimports.patch,
      debian/Banshee.Unix.dll.config:
      - Removed, fixed upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 08 Nov 2008 14:26:15 +0100

banshee (1.3.3-3) experimental; urgency=low

  * debian/Banshee.Unix.dll.config,
    debian/banshee.install:
    + Add dllmaps for libglib-2.0.so.0.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Nov 2008 11:08:45 +0100

banshee (1.3.3-2) experimental; urgency=low

  * debian/patches/01_dllimports.patch:
    + Patch from upstream SVN to fix some dllimports that made banshee
      crash in some circumstances (Closes: #503918).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Nov 2008 20:28:15 +0100

banshee (1.3.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Enable release configuration.
    + debian/control:
      - Update build dependencies.
    + debian/patches/01_no-warnaserror.patch,
      debian/patches/03_now-playing-cover-crash.patch,
      debian/patches/04_first-start-crash.patch:
      - Dropped, not needed anymore or merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 28 Oct 2008 19:52:40 +0100

banshee (1.2.1-3) experimental; urgency=low

  * debian/control:
    + Depend on gnome-icon-theme >= 2.16 (Closes: #491976, #490662).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Aug 2008 16:50:57 +0200

banshee (1.2.1-2) experimental; urgency=low

  * debian/control:
    + Update description to include video support and improve some other small
      things (Closes: #494981).
  * debian/patches/03_now-playing-cover-crash.patch:
    + Fix crash in the "Now playing" source if the current song
      has no cover art. Patch from upstream SVN/Bugzilla.
  * debian/patches/04_first-start-crash.patch:
    + Fix crash on first start. Patch from upstream Bugzilla.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Aug 2008 10:43:05 +0200

banshee (1.2.1-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Aug 2008 11:06:00 +0200

banshee (1.2.0-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.
    + debian/patches/02_system-equalizer.patch,
      debian/control:
      - Always use the system equalizer and depend on a new enough version
        of gst-plugins-good.
    + debian/control:
      - Update build dependencies.
    + debian/Banshee.NowPlaying.X11.dll.config,
      debian/control:
      - Add dllmaps for libbnpx11.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jul 2008 12:37:28 +0200

banshee (1.0.0-2) unstable; urgency=low

  * debian/watch:
    + Updated for the new location (Closes: #471400).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Jun 2008 11:13:43 +0200

banshee (1.0.0-1) unstable; urgency=low

  * New upstream release, "1.0":
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.
    + debian/Banshee.Widgets.dll.config,
      debian/Banshee.Core.dll.config,
      debian/banshee.install:
      - Dropped dllmaps that are upstream now.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 06 Jun 2008 00:12:33 +0200

banshee (0.99.3-1) experimental; urgency=low

  * New upstream release, "1.0 RC1" (Closes: #483800):
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.
  * debian/control:
    + Recommend brasero for CD burning.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Jun 2008 10:06:58 +0200

banshee (0.99.2-1) experimental; urgency=low

  * New upstream release, "1.0 Beta 2":
    + debian/Hyena.Gui.dll.config,
      debian/banshee.install:
      - Don't install ourself anymore, fixed upstream.
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 May 2008 07:35:49 +0200

banshee (0.99.1-3) experimental; urgency=low

  * debian/rules:
    + Don't enable plugins by hand but instead use only the ones that are
      labeled stable upstream.
  * debian/Banshee.Core.dll.config,
    debian/Banshee.GStreamer.dll.config,
    debian/Banshee.Widgets.dll.config,
    debian/banshee.install:
    + Add even more dllmaps for different assemblies.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 May 2008 08:57:41 +0200

banshee (0.99.1-2) experimental; urgency=low

  * debian/banshee.install:
    + Install Hyena.Gui.dll.config, otherwise several actions will lead
      to crashes.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 May 2008 11:02:51 +0200

banshee (0.99.1-1) experimental; urgency=low

  * New upstream release, "1.0 Beta 1":
    + debian/control:
      - Update build dependencies and dependencies.
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 May 2008 07:44:01 +0200

banshee (0.98.3-1) experimental; urgency=low

  * New upstream release, "1.0 Alpha 3":
    + debian/rules,
      debian/control:
      - Update build dependencies and enable some optional extensions.
    + debian/patches/01_no-warnaserror.patch:
      - Updated to apply cleanly.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Apr 2008 11:17:24 +0200

banshee (0.98.2-2) experimental; urgency=low

  * debian/control:
    + Fix comma errors in build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 Mar 2008 19:09:11 +0100

banshee (0.98.2-1) experimental; urgency=low

  * New upstream release, "1.0 Alpha 2".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Mar 2008 08:02:58 +0100

banshee (0.98.1-1) experimental; urgency=low

  * New upstream development release, 1.0 Alpha 1:

    This is the first release in the Banshee 1.0 series.
    This Alpha 1 release does not have feature parity' with previous Banshee
    releases (the last being Banshee 0.13.2). This means there are a number
    of features in this release that users may have come to know and love in
    Banshee that are missing for the time being.

    + debian/control:
      - Update dependencies and build dependencies.
    + debian/banshee.links:
      - Link /usr/bin/banshee-1 to /usr/bin/banshee
    + debian/banshee.install:
      - Update paths.
    + debian/patches/*:
      - Dropped, everything.
    + debian/patches/01_no-warnaserror.patch:
      - Don't build with -warnaserror.
    + debian/rules:
      - Cleanup.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Mar 2008 17:13:11 +0100

banshee (0.13.2+dfsg-6) unstable; urgency=low

  * debian/patches/02_stable-branch-r3418.patch,
    debian/patches/02_stable-branch-r3426.patch:
    + Update to revision 3426 of the stable branch, featuring another
      important bugfix to the audioscrobbler plugin.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 Mar 2008 12:54:46 +0100

banshee (0.13.2+dfsg-5) unstable; urgency=low

  * debian/patches/02_stable-branch-r3217.patch,
    debian/patches/02_stable-branch-r3418.patch:
    + And another update from the stable branch fixing another bad issue
      with the audioscrobbler plugin.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 12:29:39 +0100

banshee (0.13.2+dfsg-4) unstable; urgency=low

  * debian/patches/02_stable-branch-r3201.patch,
    debian/patches/02_stable-branch-r3417.patch:
    + Another update from the stable branch, fixing the audioscrobbler plugin
      even more (Closes: #469510).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 11:36:00 +0100

banshee (0.13.2+dfsg-3) unstable; urgency=low

  * debian/patches/02_stable-branch-r3201.patch:
    + Updated to r3201 from the stable branch:
      - Fixes audioscrobbler plugin to actually work again (Closes: #469417).
  * debian/patches/99_autoreconf.patch:
    + Regenerate autotools stuff for the above patch.
  * debian/control:
    + Build depend on autotools-dev.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Mar 2008 06:05:26 +0100

banshee (0.13.2+dfsg-2) unstable; urgency=low

  * debian/control:
    + Build depend on mono-mcs to fix FTBFS.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Jan 2008 08:06:38 +0100

banshee (0.13.2+dfsg-1) unstable; urgency=low

  * New upstream release, notable changes since 0.13.1:
    + Support for new iPod Nano and Classic models.
    + New Last.fm radio plugin supporting streaming from Last.fm and
      creating stations based on a number of metrics.
    + Skip song button in the notification popup.
    + Many, many bugfixes.
  * debian/patches/01_monodoc-installation.patch:
    + Updated to move the Banshee documentation to "Various" instead of
      "classlib-banshee" which does not exist.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 Jan 2008 05:47:46 +0100

banshee (0.13.1+svn.r2920+dfsg-2) unstable; urgency=low

  * debian/control:
    + Enable documentation package.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 23 Dec 2007 05:49:30 +0100

banshee (0.13.1+svn.r2920+dfsg-1) unstable; urgency=low

  * New upstream SVN snapshot:
    + Fixes stops playing after empty CD is inserted (Closes: #450773).
    + Fixes FTBFS if built twice in a row (Closes: #442502).
  * debian/patches/01_gst-inspect.patch,
    debian/patches/02_pkgconfig.patch,
    debian/patches/04_external-taglib-sharp.patch,
    debian/patches/05_remote_radio_uri.patch,
    debian/patches/06_translations-2007-09-20.patch,
    debian/patches/07_taglib-sharp_filtering.patch,
    debian/patches/08_ipod-sharp-0.6.4.patch,
    debian/patches/09_search-by-crash.patch,
    debian/patches/99_autoreconf.patch:
    + Dropped, merged upstream.
  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Drop some unnecessary dependencies by using --as-needed.
    + Clean up configure flags.
  * debian/control:
    + Build depend on libnjb-cil (>= 0.3.0-2) for fewer dependencies.
    + Update Standards-Version to 3.7.3.
    + Update build dependencies.
    + Add support for Rio Karma music players.
  * debian/control,
    debian/banshee-daap.install:
    + Drop banshee-daap package and ship the plugin with banshee instead. It
      won't depend on avahi-daemon but instead just recommend it.
  * debian/monodoc-banshee-manual*,
    debian/control,
    debian/patches/01_monodoc-installation.patch:
    + Add documentation package, not enabled yet but will be with -2.
  * debian/Banshee.Plugins.Radio.dll.config:
    + Not needed anymore, dropped.
  * debian/rules:
    + Add --disable-gstreamer-plugins-check to configure parameters to have
      some less build dependencies.
  * debian/banshee.menu:
    + Fix menu file section.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Dec 2007 10:50:46 +0100

banshee (0.13.1+dfsg-5) unstable; urgency=low

  * debian/control:
    + Only recommend gnome-volume-manager and hal to make it possible to
      build banshee plugin packages on the buildds. Also banshee works without
      them with basic features, thus this should be recommends anyway.
  * debian/patches/09_search-by-crash.patch:
    + Don't crash when searching by artist/album/genre if that field is empty.
      Patch from http://bugzilla.gnome.org/show_bug.cgi?id=479237
      (Closes: #443555).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2007 19:09:30 +0200

banshee (0.13.1+dfsg-4) unstable; urgency=low

  * debian/patches/06_translations-2007-09-20.patch:
    + Update all translations from SVN again.
  * debian/patches/07_taglib-sharp_filtering.patch:
    + Filter files that don't contain audio-only with taglib-sharp instead of
      filtering by mimetype. This fixes the importing of some MP4 files.
      Patch from upstream SVN.
  * debian/control:
    + Build depend on ipod-sharp 0.6.4 to get the new version.
    + Drop nowadays useless libtotem-plparser-dev build dependency.
  * debian/patches/08_ipod-sharp-0.6.4.patch:
    + Fix build with ipod-sharp 0.6.4.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Sep 2007 18:05:03 +0200

banshee (0.13.1+dfsg-3) unstable; urgency=low

  * debian/patches/06_translations-2007-09-06.patch:
    + Update all translations from SVN.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Sep 2007 21:39:35 +0200

banshee (0.13.1+dfsg-2) unstable; urgency=low

  * debian/patches/05_remote_radio_uri.patch:
    + Allow configuration of URI for updating stations of radio plugin.
      Patch by Mário Meyer <mario@meyer.eti.br>, also applied upstream.
      (Closes: #440119)
  * debian/rules:
    + Use dh_clifixperms to fix permissions instead of manual find magic.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 31 Aug 2007 10:47:29 +0200

banshee (0.13.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/05_home.patch:
    + Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 20 Aug 2007 06:57:27 +0200

banshee (0.13.0+dfsg-2) unstable; urgency=low

  * debian/patches/05_home.patch:
    + Support the changes to the xdg-user-dirs spec that allow $HOME
      to start the path; also allows for quotes surrounding the path.
      Patch from upstream SVN.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 18 Aug 2007 09:24:50 +0200

banshee (0.13.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/banshee.install:
    + Add the new bookmarks plugin.
  * debian/patches/05_wavpack-profile.patch,
    debian/patches/10_branch-0.12.x-2007-06-14.patch:
    + Dropped, merged upstream.
  * debian/patches/01_gst-inspect.patch,
    debian/patches/03_fix_2.18_multimedia_keys.patch,
    debian/patches/04_external-taglib-sharp.patch,
    debian/patches/99_autoreconf.patch:
    + Updated for new upstream version.
  * debian/rules,
    debian/generic-artist.png.uue:
    + Dropped manual installation of that icon, it's upstream now.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 14 Aug 2007 20:18:24 +0200

banshee (0.12.1+dfsg-5) unstable; urgency=low

  * debian/control:
    + Let banshee depend on gnome-volume-manager and hal as those dependencies
      were dropped to recommends in libipoddevice0 and banshee needs them.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Jul 2007 11:32:43 +0200

banshee (0.12.1+dfsg-4) unstable; urgency=low

  * debian/rules,
    debian/generic-artist.png.uue,
    debian/patches/10_branch-0.12.x-2007-06-14.patch:
    + Update to the 0.12.x branch, 2007-06-14 for some bugfixes. Use
      uuencode/uudecode for the new image.
  * debian/patches/04_external-taglib-sharp.patch,
    debian/patches/02_pkgconfig.patch,
    debian/control,
    debian/rules:
    + Use external taglib-sharp.
  * debian/patches/04_dont_append_commas_on_broken_id3v2.patch:
    + Dropped, this is in the external taglib-sharp.
  * debian/patches/01_gst-inspect.patch,
    debian/patches/03_fix_2.18_multimedia_keys.patch:
    + Change automake/conf sources instead of generated files.
  * debian/patches/99_autoreconf.patch:
    + Regenerate automake/conf files for the above changes.
  * debian/control:
    + Fix C/R/P for banshee-official-plugins to let dpkg really do the
      replacement (Closes: #425022).
  * debian/patches/05_wavpack-profile.patch,
    debian/control:
    + Update Wavpack profile to work with gst-plugins-good >= 0.10.6.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Jul 2007 19:53:43 +0200

banshee (0.12.1+dfsg-3) unstable; urgency=low

  * Add patches from the Ubuntu package by Christopher James Halse Rogers:
    + debian/patches/03_fix_2.18_multimedia_keys.patch:
      - Support the new multimedia keys interface with Gnome 2.18. 
    + debian/patches/04_dont_append_commas_on_broken_id3v2:
      - Don't append commas to broken id3v2 tags.
  * debian/control:
    + Make the package binNMU safe.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Apr 2007 16:42:55 +0200

banshee (0.12.1+dfsg-2) unstable; urgency=low

  * Upload to unstable
  * debian/patches/02_pkgconfig.patch:
    + Fix paths for ndesk-dbus in the pkgconfig file

 -- Sebastian Dröge <slomo@debian.org>  Mon,  9 Apr 2007 10:25:08 +0200

banshee (0.12.1+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Update build dependencies

 -- Sebastian Dröge <slomo@debian.org>  Sun,  1 Apr 2007 15:51:22 +0200

banshee (0.12.0+dfsg-2) experimental; urgency=low

  * debian/control,
    debian/rules:
    + Link against external ndesk-dbus

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 Mar 2007 17:40:00 +0100

banshee (0.12.0+dfsg-1) experimental; urgency=low

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Mon,  5 Mar 2007 20:06:23 +0100

banshee (0.11.7+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/patches/01_gst-inspect.patch:
    + Updated

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Feb 2007 10:47:41 +0100

banshee (0.11.6+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Correctly version the banshee-official-plugins conflicts

 -- Sebastian Dröge <slomo@debian.org>  Mon,  5 Feb 2007 08:50:52 +0100

banshee (0.11.5+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/patches/02_no-gconfd.patch:
    + Dropped, merged upstream
  * debian/rules:
    + GConf workaround not necessary anymore

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Jan 2007 12:02:35 +0100

banshee (0.11.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + Add conflicts/replaces on banshee-official-plugins (<< 0.10.4) as
      this now contains all plugins that were in banshee-official-plugins
      before and has conflicting gconf schemas
    + Build depend on libtotem-plparser-dev
    + Recommend gstreamer0.10-plugins-bad
  * debian/banshee.install,
    debian/banshee-daap.install:
    + Add new plugins, change for new filenames
  * debian/Banshee.Plugins.Radio.dll.config,
    debian/banshee.install:
    + Add missing dllmap
  * debian/patches/02_no-gconfd.patch,
    debian/rules:
    + Don't require a running gconfd-2

 -- Sebastian Dröge <slomo@debian.org>  Mon, 15 Jan 2007 13:58:24 +0100

banshee (0.11.3+dfsg-2) unstable; urgency=low

  * debian/patches/01_gst-inspect.patch:
    + Don't check for random GStreamer elements. This is not necessary as we
      depend on the relevant packages anyway and some buildds fail the checks
      although everything is there. (Closes: #406116)

 -- Sebastian Dröge <slomo@debian.org>  Mon,  8 Jan 2007 22:58:47 +0100

banshee (0.11.3+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #403410):
    + Fixes keyboard focus problems (Closes: #405202)
    + Fixes detection of some iPod models (Closes: #403617)
  * debian/control:
    + Update to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Mon,  8 Jan 2007 00:37:47 +0100

banshee (0.11.2+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #394059):
    + Fixes FTBFS with newer mono releases (Closes: #397940)
    + Don't segfault on disposing Avahi.Client object (Closes: #388548)
    + Can't import files with acents in the filename (Closes: #379206)
    + Can't connect to iTunes 7 daap shared (Closes: #391386)
    + Crashes when trying to open Audioscrobbler group (Closes: #392100)
    + Show GUI message for unplayable files (Closes: #354597)
    + Allow downloading of file from daap shares (Closes: #362548)
  * debian/control:
    + Update build-depends
    + Suggest banshee-official-plugins
  * debian/patches/*
    + Dropped, merged upstream
  * debian/copyright:
    + Updated
  * debian/banshee.install:
    + Update path for the audioscrobbler plugin
  * debian/rules:
    + Disable mtp support for now until libgphoto-sharp is released
    + Remove banshee-import utility as it is not meant to be shipped

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 13 Nov 2006 12:09:38 +0100

banshee (0.10.12-2) unstable; urgency=low

  * Rebuild against dbus 0.90 (Closes: #387313, #387482)
  * debian/patches/02_dbus0.9.diff:
    + Fix dbus soname for dbus >= 0.90
  * debian/control:
    + Raise libdbus-1-dev and libdbus-1-cil build-dependency for the above
      change as it won't work with the older dbus

 -- Sebastian Dröge <slomo@ubuntu.com>  Thu, 24 Aug 2006 20:02:52 +0200

banshee (0.10.12-1) unstable; urgency=low

  * New upstream release
  * debian/patches/02_notification-area-transparency.diff,
    debian/patches/05_cover-popup-scaling.diff:
    + Dropped, merged upstream
  * debian/control,
    debian/rules:
    + Enable the njb plugin again as I got reports that it really works

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed, 23 Aug 2006 23:54:49 +0200

banshee (0.10.11-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue,  1 Aug 2006 07:54:34 +0200

banshee (0.10.10-3) unstable; urgency=low

  * Remove libmono-cairo1.0-cil from Build-Depends again. The FTBFS was only
    caused by an too old gtk-sharp2 on powerpc and ia64
  * Move gstreamer0.10-plugins-ugly from Depends to Recommends as it is not a
    hard dependency but only useful to have
  * debian/patches/04_total-play-time.diff:
    + Incorporate patch from John Wright to fix the display of the total play
      time if in search mode (Closes: #370202)
  * debian/banshee.menu,
    debian/banshee.xpm:
    + Install a menu file and a xpm icon, generated from upstream's png
      (Closes: #360062)
  * debian/patches/03_cvs-backports.diff:
    Some additional CVS backports from the stable branch:
      - deadlock when burning CDs on SMP machines
      - slightly optimized playlist handling and column sorting
      - fix small usuability bug. When changing to a source that has less
        elements than the current position in the former source was don't show
        an empty source that would be shown correctly after scrolling.
      - Add id3v2mux to the list of MP3 tag muxers if none was specified
      - before burning calculate the total duration of the selection and
        ensure the media is large enough to hold it.
  * debian/patches/05_cover-popup-scaling.diff:
    + Scale the cover popup if width or height are greater then 75% of the
      available screen size. Otherwise it might fill your complete screen and
      you have to kill banshee.

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  7 Jun 2006 18:46:40 +0200

banshee (0.10.10-2) unstable; urgency=low

  * Add libmono-cairo1.0-cil to Build-Depends to fix FTBFS on powerpc

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 12 May 2006 13:36:56 +0200

banshee (0.10.10-1) unstable; urgency=low

  * New upstream release (Closes: #358780)
  * debian/patches/01_typefinding.diff:
    + Updated
  * debian/patches/02_notification-area-transparency.diff:
    + Make the background of the notification area icon transparent
  * debian/patches/03_cvs-backports.diff:
    A bunch of backports from CVS:
     - Make 'return' the default action key for dialogs
     - Add Path.DirectorySeparatorChar	to 'StartsWith' check
       to determine if files should be copied, otherwise
       'Music to import' will be treated as 'Music'
     - properly load files in shallow directories from command line
     - ctrl+w hides banshee to the tray
     - Show empty strings instead of 0 for TrackNumber == 0
     - Don't show 0 KB/Sec for tracks
     - Use String.Replace() instead of Regex.Replace() as this is much faster
  * Update Standards-Version to 3.7.2
  * Build-Depend on cli-common-dev (>= 0.4.0)
  * Build-Depend on libipod-cil (>= 0.5.16)
  * Build-Depend on mono-gmcs
  * Disable building of the NJB plugin as it doesn't work at all for us
  * Call dh_clideps with -d to prevent duplicated Depends

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 12 May 2006 12:15:55 +0200

banshee (0.10.9-1) unstable; urgency=low

  * New upstream release
    + Xing MP3 encoder removed upstream, thus we use an unmodified tarball now
  * Add avahi-daemon to the Depends of banshee-daap
  * Add gstreamer0.10-gnomevfs to the Depends of banshee
  * Removed libsqlite3-0 and libmono0 from banshee's Depends as those are
    finally added where they belong to (libmono-sqlite1.0-cil and mono-jit)
  * Change Build-Depends:
    + libavahi-cil -> libavahi1.0-cil: library transition to conform with the
      latest version of the CLI policy
    + libdbus* (>= 0.61-3) -> libdbus* (>= 0.60): the broken 0.61-{1,2}
      disappeared from the pool and only >= 0.60 is required.
    + Added libmono-sqlite1.0-cil: was in mono-classlib-1.0 before
    + Added gstreamer0.10-plugins-base-apps, gstreamer0.10-plugins-base, 
      gstreamer0.10-gnomevfs, gstreamer0.10-plugins-good
    + *gstreamer* (>= 0.9.7) -> *gstreamer* (>= 0.10.3): Tighten Build-Depends
      as required by configure
  * Updated debian/copyright
  * 01_notification-area-icon-plugin-schema.diff:
    + Dropped, applied upstream
  * 01_typefinding.diff:
    + Re-enable typefinding with gst0.10 and fix the bug that was the cause
      for it beeing disabled.

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 20 Mar 2006 17:42:17 +0100

banshee (0.10.8+dfsg-1) unstable; urgency=low

  * New upstream release
  * Append dfsg to the version to reflect the changed tarball (removed Xing
    MP3 encoder)
  * Package the new Notification Area Icon plugin that was splitted from
    the core into a independent plugin
  * 01_notification-area-icon-plugin-schema.diff:
    + Fix the GConf keys that were forgotten at the last-minute rename from
      TrayIcon to NotificationAreaIcon

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 13 Mar 2006 14:23:44 +0100

banshee (0.10.7-1) unstable; urgency=low

  * New upstream release (Closes: #354914)
  * Use gstreamer0.10

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon,  6 Mar 2006 12:00:40 +0100

banshee (0.10.6-3) unstable; urgency=low

  * Another rebuild for libdbus-1-cil

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  1 Mar 2006 19:53:39 +0100

banshee (0.10.6-2) unstable; urgency=low

  * Rebuild against dbus 0.61 (Closes: #354858)
  * Fix spelling in banshee and banshee-daap description (Closes: #354703)

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  1 Mar 2006 17:28:30 +0100

banshee (0.10.6-1) unstable; urgency=low

  * New upstream release
  * 06_fix-Encoding-ASCII-null-termination.diff,
    07_fix-daap-segfault.diff,
    08_notification-area-icon-64bit.diff:
      - Dropped, included upstream
  * Tighten Build-Depend:
    + libipod-cil (>= 0.5.15)
    + mono-mcs and libmono-dev (>= 1.1.10)
    + libsqlite3-dev (>= 3.2)
    + libgtk2-dev (>= 2.8)
  * Suggest banshee-daap

 -- Sebastian Dröge <slomo@ubuntu.com>  Mon, 13 Feb 2006 11:03:30 +0100

banshee (0.10.5-1) unstable; urgency=low

  * New upstream release (Closes: #349117)
  * Move DAAP plugin to a separate package (banshee-daap) as this plugin
    causes many crashes when enabled and pulls in additional dependencies
  * debian/compat:
    + Updated to 5
  * debian/control:
    + Tighten Build-Depends on Gtk# to 2.8
    + Remove unneeded Build-Depends on libbonobo2-dev
    + Build-Depend on debhelper (>= 5)
  * 01_fix-dllmaps.diff:
    - Dropped, fixed upstream
  * 02_dbus0.6.diff:
    - Dropped, fixed upstream
  * 05_ipod-sharp.dll.config.diff:
    + Updated
  * 06_fix-Encoding-ASCII-null-termination.diff:
    + NUL terminate the process name as ASIIEncoding does not do this
  * 07_fix-daap-segfault.diff:
    + Fix a segfault at startup with the DAAP plugin
  * 08_notification-area-icon-64bit.diff:
    + Fix the Notification Area Icon on 64 bit architectures (which seems to
      fix playback on this architectures too)

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue,  7 Feb 2006 11:00:55 +0100

banshee (0.10.4-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Enable DAAP support
  * Update Build-Depends

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue, 17 Jan 2006 21:46:47 +0100

banshee (0.10.2-1) experimental; urgency=low

  * New upstream release
  * NJB support is enabled now
  * 02_dbus0.6.diff:
    + Use correct, new soname for dbus 0.60
  * 03_njb-sharp.dll.config.diff, 04_MusicBrainz.dll.config.diff,
    05_ipod-sharp.dll.config.diff:
    + Use correct sonames
  * 02_fix-AudioCdCore.diff:
    - Dropped, included upstream

 -- Sebastian Dröge <slomo@ubuntu.com>  Fri, 30 Dec 2005 16:49:38 +0100

banshee (0.10-1) experimental; urgency=low

  * Initial Version (Closes: #296467)
  * Repackaged upstream tarball to get rid fo XING MP3 encoder sources
  * 02_fix-AudioCdCore.diff:
    + Fix banshee to correctly notice newly inserted audio CDs

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  7 Dec 2005 21:05:50 +0100

